1996-12-23 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* PROBLEMS (DJGPP): Describe the problems caused by filename
	truncation at startup.  Explain the problems caused by defining an
	environment variable `TERM'.

1996-10-31 +02  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Make sure `mv' supports forward slashes and -f.

Wed Aug 21 03:51:42 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.34 released.

Sun Aug 18 16:29:40 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (NON_GCC_LINK_TEST_OPTIONS, GCC_LINK_TEST_OPTIONS):
	New variables that affect linking only.
	(alpha-dec-osf*): Use those instead of previous change.

Thu Aug 15 14:47:29 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Install info/messages.

Sun Aug 11 03:36:03 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.33 released.

Sat Aug 10 14:50:46 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* configure.in (i[3456]86-sequent-ptx4*, i[3456]86-sequent-sysv4*):
	Fix previous change.

Thu Aug  8 23:00:10 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (i[3456]86-sequent-ptx4*, i[3456]86-sequent-sysv4*):
	New alternative.

Wed Aug  7 17:58:37 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (alpha-dec-osf*): Specify GCC_TEST_OPTIONS
	and NON_GCC_TEST_OPTIONS.

Tue Aug  6 00:31:20 1996  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LOCALTIME_CACHE): Don't put a string literal
	"TZ=..." in environ.

Sun Aug  4 16:33:35 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist (msdos): Add is_exec.c, sigaction.c to distribution.

Sat Aug  3 17:27:46 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (*-sunos4.1.[3-9]*noshare): Move this before
	the more general *-sunos4.1.[3-9]* clause.

Wed Jul 31 13:52:46 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.32 released.

	* configure.in (*-sco3.2v5*):
	Set OVERRIDE_CPPFLAG to a string of one space.
	Fix the code that uses OVERRIDE_CPPFLAG.

Tue Jul 16 18:06:01 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Undo previous change.

Tue Jul 16 01:42:44 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* config.sub: Use `pc', not `unknown', when canonicalizing
	the vendor for ...86.

Mon Jul 15 17:09:09 1996  David Mosberger-Tang <davidm@AZStarNet.com>

	* configure.in: Check for termios.h header.

Thu Jul 11 19:32:03 1996  Bill Mann  <dvmann@dvncr.praxisint.com>

	* configure.in: Use s/usg5-4-3.h for ncr-i[3456]86-sysv4.3

Sun Jul  7 18:21:21 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Split bsdos2 and bsdos2-1.

Sat Jul  6 10:33:55 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* config.sub: If last two words are not a recognized
	KERNEL-OS pair, use just the last word as OS, as in 19.31.
	Make conversion of gnu/linux to linux-gnu really work.
	
	* config.sub: If vendor unspecified with i386, use `pc' not `unknown'.

Sun Jun 30 03:05:19 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (check for using Lucid widgets by default):
	Eliminate indentation that confuses some compilers.

Sat Jun 29 03:00:59 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* config.sub: Convert linux and gnu/linux to linux-gnu.

	* make-dist: Don't update getdate.c.
	Ignore =... files when checking for too-long Lisp file names.

Fri Jun 28 03:00:59 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (euidaccess): Check for that, not for eaccess.

Thu Jun 27 02:14:13 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (sunos4.1.[3-9]*noshare): Eliminate dash from
 	before `noshare'.
	(mips-sgi-irix6*): Specify NON_GCC_TEST_OPTIONS.

Fri Jun 21 17:36:42 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in: Rename lignux to linux-gnu in configuration names.
	Use gnu-linux as the opsys value (s/ file name).
	Allow i686 just like i386, i486, i586.

Thu Jun 20 13:26:35 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (i*86-*-sco3.2v5): New alternative.
	(OVERRIDE_CPPFLAG): New variable.
	(CPPFLAGS): If OVERRIDE_CPPFLAG is set, use that.

	* configure.in: Specify vpath for .texi files.

Sun Jun  9 16:52:05 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in: Always check for HAVE_X11R5.
	Separately decide whether to use a toolkit by default.

Tue Jun  4 11:34:09 1996  Bill Mann  <dvmann@dvhpux1.praxisint.com>

	* configure.in: If X11R5 is missing the Xaw headers,
	default to --with-x-toolkit=no.

Fri May 31 01:37:44 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (powerpc-*-solaris2*): Use ibmrs6000, not rs6000.

Thu May 30 22:09:53 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): If cd etc makes output,
	don't treat that as part of the tar data.
	Check that ./lisp actually exists.
	
Wed May 29 10:54:17 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-dist: Check for long file names.

Sat May 25 15:30:10 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Version 19.31 released.

Sat May 25 10:37:33 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Recognize sparc-*-lignux.

Fri May  3 17:46:54 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* make-dist: Include nt/inc/arpa and nt/inc/netinet in the dist.
	Don't include config.w95.

Sun Apr 21 02:53:56 1996  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* make-dist: Replace --no-clean-up and --no-tar options
	with --clean-up and --tar, so that the default is useful.

Mon Apr 15 19:28:14 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Make sure the GDB init file is called src/_gdbinit;
	if not, tell the user to rename it and abort.

Sun Apr 14 16:01:17 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: With DJGPP v1.x, use `COFF2EXE' to produce JUNK.EXE
	test program.

Fri Apr 12 02:38:00 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* config.bat (djgpp_ver): Variable renamed from djgpp-ver.

	* make-dist (MANIFEST): Fix previous change.
	(msdos): Put mainmake.v2 into the dist.

Wed Apr 10 06:08:48 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* make-dist: Exit if autoconf fails.

Wed Apr 10 13:28:33 1996  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Set djgpp-ver, and unset it at the end.
	Add a number ofconditionals for DJGPP version 2.
	Rename label libsrc2 to libsrc3.
	Substitute for LDFLAGS in src/Makefile.
	Substitute for ALL_CFLAGS in lib-src/Makefile.

Mon Apr  8 17:08:03 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (ncurses): Check this after checking fns like strerror.

Mon Apr  8 00:45:19 1996  Erik Naggum  <erik@naggum.no>

	* make-dist (MANIFEST): Don't include lines from =files.

Sun Apr  7 20:11:34 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Don't put lisp/dired.todo in the dist.

Fri Apr  5 13:09:47 1996  Richard Stallman  <rms@lucy.gnu.ai.mit.edu>

	* configure.in (HAVE_NCURSES): Look for library named ncurses.

	* configure.in (setlocale): Check for it.

	* configure.in (*-*-sysv4.2*): If no /usr/ccs/lib/cpp, use /lib/cpp.
	
Tue Mar 26 21:47:17 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Use lignux instead of linux as value of opsys.

Fri Mar 22 12:11:29 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-strip): Fix whitespace.
	Get rid of continuation.

	* config.sub: Convert linux or gnu/linux to lignux.

Thu Mar 21 19:04:42 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Accept lignux in configuration name.

Wed Mar 20 09:51:01 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-strip): New target.

Mon Mar 18 01:51:33 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Use `|| true' to ignore error in rm.
	-f failed to do the job on Suns.

Wed Mar 13 03:20:00 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* Makefile.in (install-arch-dep): Don't depend on install-arch-indep.

	* configure.in (linux/version.h): Check for this header.

Tue Mar 12 02:58:53 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* configure.in: Remove -fno-builtin hackery from -lm check.

Fri Mar  8 15:31:44 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* configure.in (-lm check): If $GCC, append -fno-builtin to $CC for
 	just this test.

	* configure.in (AC_PREREQ): Require version 2.8 of Autoconf.

Mon Mar  4 03:54:56 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check for ncurses.

Wed Feb 28 21:48:07 1996  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LOCALTIME_CACHE):
	Also define if localtime mishandles unsetting TZ.
	This works around a localtime bug in mips-dec-ultrix.

Sun Feb 25 17:59:44 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (finder-inf.el): Use finder-compile-keywords-make-dist.

	* configure.in: Improve messages about X versions.

Sat Feb 24 00:10:17 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (LOCALTIME_CACHE): Cope if $ac_cv_func_tzset is null.

Fri Feb 23 16:39:09 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_X11XTR6): Set it as a shell variable.
	(HAVE_LIBXMU): If HAVE_X11XTR6, use -lSM and -lICE.

	* Makefile.in (install-arch-dep): Depend on install-arch-indep.
	(install): Put install-arch-indep before install-arch-dep.

Tue Feb 20 14:12:35 1996  Dave Love  <d.love@dl.ac.uk>

	* INSTALL: Clarify info about MS-DOS path handling.

Mon Feb 12 13:54:35 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Install info/ccmode*.
	In previous change, protect against /bin/pwd returning null string.

Wed Feb  7 14:12:10 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Copy build-dir's lisp subdir
	to lispdir.

Thu Feb  1 16:36:36 1996  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LD_RUN_PATH): Prepend x_libraries to this envvar.

Tue Jan 30 21:22:40 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_TIMEVAL): Set explicitly to `no' if test fails.

Thu Jan 25 01:59:04 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (extraclean): Use ${top_distclean} to ensure
	we delete everything distclean deletes.

Tue Jan 23 12:35:24 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-dist (lwlib): Don't distribute lwlib-Xol* files.

Wed Jan 17 17:02:23 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_X11): Merge $LD_SWITCH_X_SITE
	into LDFLAGS instead of into LIBS.

Tue Jan 16 17:53:38 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_XMU): Fix typo in previous change.

Mon Jan 15 15:07:46 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in [Solaris]: Don't let $CC make us use /usr/ucb/cc.

Wed Jan 10 15:09:50 1996  Erik Naggum  <erik@naggum.no>

	* configure.in (USE_X_TOOLKIT = maybe): Delete redundant `fi'.

Wed Jan 10 14:41:50 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Ignore error if no chmod -R.

Wed Jan 10 14:20:18 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (HAVE_XMU): Check for libXmu.a only if using toolkit
	and use -lXt to link it.

Mon Jan  8 09:48:39 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (locallisppath): Put version-specific dir first.

Sun Jan  7 10:47:11 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (hppa-*-nextstep*): New alternative.
	(USE_X_TOOLKIT): By default, set this to "maybe";
	and change that later to LUCID or "no" according to X11 version.

	* make-dist: Recompile outdated .elc files and update all autoloads.

Fri Jan  5 18:12:10 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* configure.in (locallisppath): Fix typo in last change: " -> '.

Thu Jan  4 21:14:35 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (locallisppath): Add ../emacs/VERSION/site-lisp.

Wed Dec 27 08:58:41 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Give all files read permission.

Tue Dec 26 00:07:16 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (hppa*-hp-hpux9shr*, hppa*-hp-hpux9*, hppa*-hp-hpux*):
	If it is hpux 9, check for /usr/include/X11R5 and /usr/lib/x11R5.

Sun Dec 24 18:10:14 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Determine HAVE_X11R6.
	(HAVE_MENUS): Renamed from HAVE_X_MENU.

Thu Dec 21 02:23:44 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in: Just "solaris" now defaults to version 2.4.
	Add sunos4.1.n-noshare as alternative.

Fri Dec  1 13:07:57 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (mips-sgi-irix6*): Set NON_GNU_CPP.

Wed Nov 29 22:44:43 1995  Erik Naggum  <erik@naggum.no>

	* Makefile.in (install-arch-indep): Add missing backslash.

Wed Nov 29 14:44:31 1995  Karl Eichwalder  <ke@ke.Central.DE>

	* Makefile.in (install-arch-indep): Don't install
	lispdir/[Mm]akefile*, lispdir/ChangeLog, lispdir/dired.todo.

Wed Nov 29 00:13:03 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Fix previous change.

	* configure.in (mips-sni-sysv*): New alias for mips-siemens-sysv*.

Fri Nov 24 23:40:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.30 released.

	* make-dist (lisp): Exclude subdirs.el.

Wed Nov 22 17:44:34 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (etc): Delete *.orig and *.rej.

Thu Nov 16 16:59:07 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Rename old info/dir only if exists.

Wed Nov 15 16:50:17 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (hppa*-hp-hpux10*): Use s/hpux10.h.

Tue Nov 14 14:39:08 1995  Geoff Voelker  <voelker@cs.washington.edu>

	* make-dist (nt): Rename install, readme, and todo to
	INSTALL, README, and TODO.

Fri Nov 10 01:07:35 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (lisp): Don't distribute site-start.

Mon Nov  6 17:00:58 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-dist: Break the hard link on alloca.c.

Sat Nov  4 12:41:57 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (LIBS): Add libsrc_libs and keep the old LIBS.

Thu Nov  2 18:29:03 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* make-dist (src, lib-src): Don't distribute Makefile.c.
	(etc/e): Do cleanup in $tempdir/etc/e, not $tempdir/etc.

Tue Oct 31 15:57:22 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (mkdir): Create man1dir, not mandir.
	(uninstall): Use man1dir, not mandir.

Mon Oct 30 12:49:31 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (man1dir): New variable.
 	(install-arch-indep): Use man1dir.

	* configure.in (sparc-*-nextstep*): Remove incorrect .h's.

	* make-dist: Create lisp/MANIFEST.

Sat Oct 28 17:01:41 1995  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* configure.in (m68k-*-linux*): New alternative.

Fri Oct 27 02:28:47 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Use new names config.in, paths.in, and
	{src,lib-src}/Makefile.in.

Wed Oct 25 15:23:23 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Don't bother checking for drem.

Fri Oct 20 18:07:42 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (distclean): Delete line with just a tab in it.
	(install-arch-indep): Delete spaces that precede tabs.
	Delete spurious `fi' left from previous change.
	(install): Supply `true' as command, to avoid null command.

Thu Oct  5 12:35:26 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (--with-x-toolkit)): Add `athen' as alias for `athena'.

Sat Sep 30 23:42:45 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (powerpc-*-solaris2): New alternative.x

Tue Sep 12 13:42:33 1995  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Makefile.in (src/paths.h, paths-force): Use paths.h.$$ instead
	of paths.h.tmp$$, to avoid going beyond 14 characters.

Sun Sep 10 11:15:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Improve error msg for invalid --with-x-toolkit value.

Wed Sep  6 04:25:50 1995  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LOCALTIME_CACHE): Define if tzset exists and
	if localtime caches TZ.  Check for tzset.

Fri Sep  1 12:12:02 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* config.bat: Simplify using new names file names src/makefile.in,
	config.in, paths.in.  Change Echo commands not to use `.

Thu Aug 31 22:39:51 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Always install the new dir file;
	rename the previous dir file to dir.bak or dir.old.

Mon Aug 14 19:13:37 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (RANLIB): Substitute this into makefiles.
	Set it specially on solaris; set it by default on other systems.

	* configure.in: Fix previous Alpha change.

Sun Aug 13 01:08:48 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i*386-*-isc4.*): Set GCC_TEST_OPTIONS and
	NON_GCC_TEST_OPTIONS.

Thu Aug 10 01:00:49 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (CFLAGS): When computing CFLAGS and REAL_CFLAGS
	from config.h, use SPECIFIED_CFLAGS to get what the user specified.

	* configure.in (alpha-*-linux*): New configuration.

Sat Aug  5 01:58:56 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-next-*): Use m68k.h and nextstep.h.
	(m68k-next-nextstep*): New alias for that.
	(i*86-*-nextstep*): Use nextstep.h.
	(sparc-*-nextstep*): New configuration.

Wed Aug  2 22:05:03 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (CPP): Save original CFLAGS value in SPECIFIED_CFLAGS.
	And get CFLAGS from config.h if SPECIFIED_CFLAGS is null.

Thu Jul 27 20:34:27 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Handle sunos4shr by sharing; not like sunos4*.
	Determine GETTIMEOFDAY_ONE_ARGUMENT by experiment.

Tue Jul 18 11:47:04 1995  Mike Long  <mike.long@analog.com>

	* make-dist: Fix update of finder-inf.el, and byte-compile it.

Tue Jul 18 01:27:54 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (src/paths.h, paths-force):
	Rename src/paths.h.in to src/paths.in.
	(Makefile): Depend on src/Makefile.in, not src/Makefile.in.in.

	* configure.in: Rename {src,lib-src}/Makefile.in.in to Makefile.in.
	Use Makefile.c for intermediate file.
	Rename src/config.h.in to src/config.in.

Mon Jul 17 17:53:57 1995  Richard Stallman  <rms@gnu.ai.mit.edu>

	* configure.in (mips-dec-ultrix*): Assume version 4.3.
	(mips-dec-ultrix4.[12]): New alternative for old versions.

Thu Jul  6 14:08:34 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* make-dist: Don't break intra-tree links.

Thu Jul  6 01:42:51 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Put back archlibdir initialization.  Require
 	autoconf 2.4.1 or later.

Sat Jul  1 00:58:41 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Use sunos4shr normally for Sunos 4.1.[3-9].
	(mips-mips-riscos5*): New alternative.

Thu Jun 29 20:04:21 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (uninstall, install-arch-indep): Install info/ediff*.

Tue Jun 27 19:00:12 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (bindir, datadir, sharedstatedir, libexecdir)
	(mandir, infodir, archlibdir): Initializations deleted.

	* configure.in: On hpux9, use hpux9-x11r4.h if we have X11R4.
	On hpux9shr, use hpux9shxr4.h.

Sat Jun 24 18:58:17 1995  Morten Welinder  <terra+@cs.cmu.edu>

	* configure.in: Added target mips-dec-mach_bsd4.3.
	* config.guess: Guess mips-dec-mach_bsd4.3.

Sat Jun 24 14:42:51 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (mkdir): Use symbolic chmod.

Thu Jun 22 07:45:40 1995  Paul Eggert  <eggert@twinsun.com>

	* configure.in: Treat SunOS 4.1.4 like SunOS 4.1.3.
	(Likewise for SunOS 4.1.5 thorugh 4.1.9, should they ever exist.)

Thu Jun 22 02:32:58 1995  Paul Eggert  <eggert@twinsun.com>

	* Makefile.in (SUBDIR_MAKEFILES):
	Add man/Makefile, so `make distclean' removes it.
	(top_distclean): Add config.log to the list of files to be removed.

Mon Jun 19 22:50:10 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.29 released.

Sat Jun 17 08:43:47 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Fix the previous change to verify that the -b
	option really solves the problem.

	* make-dist (nt): Explicitly include makefile.nt and makefile.def only.

Fri Jun 16 11:26:47 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Test whether XFree86 needs -b i486-linuxaout to link.

Thu Jun 15 01:12:13 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Report more clearly when there is no special
	dir to search for X includes or libraries.

Tue Jun 13 17:44:10 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Check for -lpthreads, not -lpthread.

Fri Jun  9 22:09:46 1995  Geoff Voelker  <voelker@cs.washington.edu>

	* make-dist: Copy new files nt/addpm.c and nt/emacs.bat.in.

Thu Jun  8 23:09:14 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Check for -lpthread.

Mon Jun  5 23:09:10 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Install info files for mh-e.
	(uninstall): Uninstall info files for dired-x, gnus, mh-e, and sc.

Thu Jun  1 20:43:53 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in (*-solaris2.5): New configuration.

	* make-dist: Copy new files config.nt and config.w95.

Tue May 30 19:24:31 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Use x_includes, not x_libraries, for -I.
	Make bitmapdir a colon-separated list.

Sat May 27 23:18:21 1995  Richard Stallman  <rms@gnu.ai.mit.edu>

	* configure.in (hppa*-hp-hpux10*, m68k-hp-hpux10*): New configurations.

	* configure.in: Allow x_libraries and x_includes to be paths.

Thu May 25 11:53:13 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Fix typo.

Wed May 24 16:50:02 1995  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* INSTALL: Clarify use of site-init.el.

Mon May 22 18:28:23 1995  enami tsugutomo  <enami@sys.ptg.sony.co.jp>

	* configure.in: pass arg to sqrt.

Thu May 18 23:52:46 1995  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* make-dist: Fix May 6 change.

Wed May 17 15:42:16 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* vpath.sed: Delete reference to ymakefile.

Tue May  9 14:10:07 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Use sqrt (more portable) instead of fmod in -lm
        check.

Tue May  9 00:26:22 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put nt/emacs.ico and nt/emacs.rc in dist.

	* update-subdirs: Specify /bin/sh to run the script.

Sat May  6 17:54:06 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put src/makefile.nt in dist.

	* configure.in (i[345]86-*-bsdi2*): New configuration.
	(vax-dec-bsd386*): Deleted.

Sat May  6 17:27:25 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Make sure CDPATH doesn't mess up PWD check.  Check
	whether X bitmaps are in X11/bitmaps instead of bitmaps.  Use fmod
	instead of logb in -lm check.

Wed May  3 15:28:44 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-apollo-*): Renamed from m68*-apollo*.
	Use bsd4-3.  Don't set NON_GNU_CPP.

	* make-dist: Don't copy in src/s/*.inp.  Don't copy nt/src.
	In nt. copy various different things, but not *.cmd.
	Fix the ln commands for the subdirs of nt.

Sat Apr 29 01:47:36 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (*-sun-sunos4.1.3*): Use sunos4shr.h.

Thu Apr 27 21:23:32 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in (*-sun-sunos4.1.3*): Use shared libraries,
	since that's what the header file expects.

Mon Apr 24 14:23:35 1995  Francesco Potorti`  (pot@cnuce.cnr.it)

	* configure.in (m68k-motorola-sysv*): Distinguish between 68030
	and 68040 based machines when choosing options for gnucc.

Thu Apr 13 00:56:10 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Delete config.cache.

Fri Apr  7 14:21:11 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Delete .#* when copying subdirs.

	* configure.in: Use m/ncr386.h.

Thu Apr  6 17:52:31 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Undo Sep 23 change.

Thu Apr  6 16:58:26 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* make-dist (lib-src): Don't copy *.lex; it doesn't exist anymore.
	(man): Don't copy texindex.c and getopt.c; they're deleted.
	(etc): Omit `e'; it's a subdirectory.
	(etc/e): Use `../..', not `..', to reference top level.

Thu Apr  6 18:00:24 1995  Simon Leinen  <simon@lia.di.epfl.ch>

	* Makefile.in (install-arch-indep, dist):
	look for `update-subdir' in $(srcdir).

Thu Apr  6 15:50:22 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Include mkinstalldirs in distribution.

Wed Apr  5 16:45:13 1995  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* make-dist: Add missing close backquote.

Sun Apr  2 18:14:00 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Don't distribute shortnames directory.

Sun Mar 12 01:11:14 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (blessmail): Pass archlibdir to the sub-make.

Sat Feb 25 22:42:47 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m88k-motorola-sysv4*): Use usg5-4-2.

Thu Feb 23 19:45:30 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in (EMACS_CONFIG_OPTIONS): Use $ac_configure_args.

Mon Feb 13 19:53:22 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* configure.in (mips-sgi-irix6): New configuration.

Tue Feb  7 18:50:09 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* Makefile.in (maintainer-clean): Renamed from realclean.

Thu Feb  2 11:18:47 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Create a .gdbinit that sources the real one, if
	using a different build directory.

Mon Jan 23 18:33:59 1995  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* configure.in: Check for sys/select.h.

Mon Jan  2 03:49:12 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: On sunos4.1.3 and sunus4shr, set NON_GNU_CPP.

Tue Dec 27 12:55:07 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Handle isc 4.1 operating system.

Sat Dec 10 16:50:12 1994  Richard Stallman  <rms@kepa>

	* configure.in (rs6000-ibm-aix4.1*): New alternative.
	(rs6000-ibm-aix4*): New alternative.

Tue Dec  6 18:44:31 1994  Richard Stallman  <rms@kepa>

	* configure.in: For SVR4.2, set NON_GNU_CPP if not already set.

Wed Nov 30 17:13:58 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Don't try to make directories that are guaranteed
        to already exist.

Wed Nov 23 15:16:28 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Generate man/Makefile from man/Makefile.in.
	Create the man subdir.

	* Makefile.in (dvi): Run Make in our man subdir.

	* make-dist: Create subdir etc/e.
	Make links to it.
	Put man/Makefile.in in dist, instead of man/Makefile.

Mon Nov 21 22:17:37 1994  David J. MacKenzie  (djm@mole.gnu.ai.mit.edu)

	* configure.in: Add --with-pop, --with-kerberos, and
	--with-hesiod for movemail.

Thu Nov 17 10:13:02 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-apollo*): Use s/domain.h.

Mon Nov 14 23:23:00 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-apollo*): Set NON_GNU_CPP.

Mon Nov 14 12:06:48 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* configure.in: Don't add -I, -L, -R options for cc if their
	arguments would be empty.

Fri Nov 11 09:54:09 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i860-intel-osf1*): New alternative.
	(mips-sgi-irix5.[01]*): Distinguish from irix5*.
	(mips-sgi-irix*): Now an alias for mips-sgi-irix5*.

Wed Nov  9 16:09:31 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Make h_errno check not use nested functions.

Wed Nov  9 06:47:46 1994  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Delete *.orig in copied dirs.

Tue Nov  8 19:25:41 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Avoid continued comment
        swallowing target line.

Tue Nov  8 00:21:18 1994  David J. MacKenzie  (djm@churchy.gnu.ai.mit.edu)

	* configure.in: Protect a character class with `changequote'.

Mon Nov  7 21:50:37 1994  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Accept `news' as a synonym for `newsos'.

Thu Nov  3 15:23:24 1994  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* Makefile.in: Don't rm files if cd fails.

Tue Nov  1 05:38:27 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put nt subdir and its subdirs in the dist.
	(lib-src): Put makefile.nt in the dist.
	(lisp): Put makefile.nt in the dist.

Sat Oct 29 08:44:36 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* configure.in: Change a stray `[' to `test'.

Fri Oct 28 11:29:07 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Adapt for Autoconf v2.  Use the standard argument
	parser, host type canonicalizer, X11 finder, and message
	printing macros.  Use the new macro names.  Use `test' instead of `['.

Wed Oct 26 19:18:49 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check for getpagesize.

Mon Oct 17 21:44:25 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (msdos): Put sed* in the distribution.

Mon Oct 17 03:33:32 1994  Morten Welinder  <terra@mole.gnu.ai.mit.edu>

	* config.bat: New option, `--with-x', for configuring Emacs
	for use with the X11 system DesqView/X.
	New option, `--no-debug', for compiling Emacs without debug
	information thus saving disk space.
	(src/config.h, src/paths.h): Use `update' (which is like
	`move-if-changed') to change the file.
	(src/config.h): When configuring for X11 perform extra changes.
	(src/makefile): When configuring for X11 perform extra changes.
	(lib-src): Remove temporary files.
	(): Check that `sed', `rm', `mv', and `gcc' are available.

Mon Oct 17 00:27:09 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (sharedstatedir): Substitute sharedstatedir properly.

	* configure.in (bitmapdirs): Default to /usr/include/X11/bitmaps.

Sun Oct 16 05:20:37 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (EMACS_CONFIGURATION): Use $canonical as value.

	* configure.in (canonical): Substitute var into makefiles.
	(bitmapdir): Likewise.

	* Makefile.in (bitmapdir): New variable.
	(src/paths.h, paths-force): Edit PATH_BITMAPS.

Sat Oct 15 23:53:15 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put update-subdirs and lisp/subdirs.el in the dist.

	* Makefile.in (dist, install-arch-indep): Run update-subdirs.
	* update-subdirs: New shell script.

Thu Oct 13 00:02:35 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Don't rm build-install.
	(SOURCES): Delete build-install.in.

	* make-dist: Don't distribute build-ins.in.
	* build-ins.in: File deleted.

Wed Oct 12 19:29:05 1994  David J. MacKenzie  (djm@duality.gnu.ai.mit.edu)

	* Makefile.in (mkdir): Use mkinstalldirs instead of make-path.

Tue Oct 11 04:05:30 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in: Use libexecdir and sharedstatedir as appropriate.

	* configure.in (libexecdir): Renamed from libdir.  New default.
	(sharedstatedir): Renamed from statedir.  New default.
	(datadir): New default.

	* make-dist: Don't distribute subdirs.el.

Fri Oct  7 04:38:54 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (eaccess): Check for it.

Tue Oct  4 05:00:42 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (mktime): Check for it.

Sun Oct  2 07:30:52 1994  Paul Reilly  <pmr@geech.gnu.ai.mit.edu>

	* configure.in (motif): Add support for usage and option checking.

Sat Sep 24 20:36:04 1994  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* configure.in (utimes): Check for it.

Fri Sep 23 21:54:03 1994  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Don't do mkdir here.

Wed Sep 21 17:56:10 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (arm-acorn-riscix1.1*, arm-acorn-riscix1.2*):
	riscix.h renamed to acorn.h.

Wed Sep 21 17:51:58 1994  Michael Ben-Gershon (mybg@cs.huji.ac.il)

	* configure.in (arm-acorn-riscix1.1*, arm-acorn-riscix1.2*):
	New configurations.

Wed Sep 21 12:59:04 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* configure.in: Remove trailing slashes from srcdir.

Wed Sep 21 05:28:03 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i[345]86-sequent-ptx*): Handle

Tue Sep 20 18:16:15 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (paths-force): Depend on src/paths.h

Mon Sep 19 14:13:58 1994  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* configure.in (config_options): Save all arguments, not just some.

Sun Sep 18 14:40:00 1994  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Copy DOC-*, not DOC*

	* configure.in: Add AC_AIX.
	Add checks to set HAVE_STRUCT_UTIMBUF, HAVE_TIMEVAL, HAVE_SELECT.

Sun Sep 18 04:18:20 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (parsing options): Simplify sed command to delete -'s.

Fri Sep 16 22:06:49 1994  Karl Heuer  <kwzh@churchy.gnu.ai.mit.edu>

	* configure.in (config_options): New shell variable.
	Pass its value to C code in EMACS_CONFIG_OPTIONS.

Fri Sep 16 19:35:47 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (alpha-dec-osf*): New target.

	* Makefile.in: Use just one FRC target.

Thu Sep 15 20:02:04 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (removenullpaths, paths-force):
	Use name paths.h.tmp$$, which depends on the pid.

Wed Sep 14 23:42:03 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (removenullpaths, paths-force):
	Put paths.h.tmp in top-level dir, not in src.

Sun Sep 11 14:56:01 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.27 released.

Wed Sep  7 03:53:50 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.26 released.

Sun Sep  4 03:02:15 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check for lrand48, not rand48.

Sat Sep  3 18:44:55 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (powerpc-ibm-aix3.1*, powerpc-ibm-aix3.2.5)
	(powerpc-ibm-aix*): New aliases.

Sun Aug 21 14:02:00 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (src/m, src/s): Put *.inp in distribution.

Fri Aug 19 20:01:09 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Accept i586 and i486 along with i386.

Mon Aug 15 05:18:12 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Do compute unexec, LIBX, system_malloc, etc
	even if CPP env var was set by the user.

	* configure.in (i[34]86-*-*): For SCO 3.2v4, fix NON_GNU_CPP value.

Sun Aug 14 00:10:08 1994  Jonathan I. Kamens  (jik@gza-client1.aktis.com)

	* Makefile.in: Uninstall "$(EMACS)", not "emacs".

Sat Aug 13 16:34:59 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i[34]86-*-*): For SCO 3.2v4, set NON_GNU_CPP.

Tue Aug  9 23:20:18 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check more specifically for i*86-sun-sunos.

Wed Aug  3 21:53:58 PDT 1994  Caveh Jalali  (caveh@eng.sun.com)

	* configure.in: Handle solaris 2.4.

Wed Jul 27 13:34:18 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (rand48): Check for it.

Tue Jul 26 15:52:58 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Update the info files.

Mon Jul 25 16:35:16 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Make "checking..." messages' style consistent.
	(HAVE_H_ERRNO): New test.

Sun Jul 24 16:18:09 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i860-*-sysv4*): Set NON_GNU_CC and NON_GNU_CPP.

Tue Jul 12 00:03:39 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (CFLAGS): If the envvar was specified, use that.
	And set REAL_CFLAGS from it too.

Mon Jul 11 16:28:51 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Update finder-inf.el.

Thu Jul  7 12:57:42 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist (msdos): Include sed4.inp in dist.

	* Makefile.in (libsrc_libs): Var deleted.

Wed Jul  6 22:39:26 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (mkdir, removenullpaths): Put g in sed replace commands.

Sun Jun 26 12:26:40 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-sony-newsos4*): New alias.

Thu Jun 23 15:21:14 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (*-convex-bsd*): Set NON_GNU_CPP.
	(*-convex-convexos*): Accept this as alias.

Sun Jun 19 11:40:01 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Get CFLAGS both with and without THIS_IS_CONFIGURE,
	for two different uses.

Wed Jun 15 22:30:18 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Define THIS_IS_CONFIGURE when extracting CFLAGS etc.

Tue Jun 14 10:51:06 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Put ./BUGS into the distrib.

Mon Jun 13 17:12:32 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle 386 running Solaris 2.

Mon Jun  6 04:46:27 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-siemens-sysv*): Use cpp, not cc -E.

Sun Jun  5 06:44:16 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-sony-newsos*): Use news-risc.h.

	* configure.in: Accept bsdi as opsys, like bsd386.

Wed Jun  1 20:03:31 1994  Morten Welinder  (terra@diku.dk)

	* config.bat (src/paths.h): Use sed script msdos/sed4.inp.

Mon May 30 04:33:36 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.25 released.

	* make-dist (shortversion): Don't assume another period follows.

Fri May 27 01:45:34 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Use /bin/pwd uniformly, not pwd.
	(uninstall): Use /bin/pwd.

	* Makefile.in (blessmail): Depend on src.
	(all): Don't depend on blessmail.

	* Makefile.in (src/paths.h): Don't force recomputation.
	(paths-force): New target; force recomputation of paths.h.
	(all): Depend on paths-force.
	(src, lib-src): Depend on src/paths.h.

	* configure.in (*-sun-sunos4*): Set GCC_TEST_OPTIONS,
	NON_GCC_TEST_OPTIONS.

Thu May 26 05:04:55 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Don't insist on subversions for irix.

Tue May 24 00:03:58 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (hppa*-hp-hpux9shr): Move alternative up.

	* configure.in (i[34]86-next-*): New alternative.

Mon May 23 03:07:50 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.24 released.

	* configure.in: New config hppa*-hp-hpux9shr*.

Sun May 22 18:30:22 1994  Morten Welinder  (terra@tyr.diku.dk)

	* config.bat: Doc fix.

Sat May 21 03:17:49 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (mostlyclean, clean, distclean, realclean)
	(extraclean): Don't act on man subdir if it doesn't exist.

Fri May 20 18:03:56 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (GCC_TEST_OPTIONS, NON_GCC_TEST_OPTIONS): New vars.
	Use them to set up CC.
	(*-sun-sunos4.1.3): Set them.

Thu May 19 11:54:43 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (lib-src): Don't depend on src/paths.h.

Wed May 18 01:35:38 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* build-ins.in (copydests): Get rid of spurious `-'s.

	* configure.in: Define EMACS_CONFIGURATION instead of CONFIGURATION.

Tue May 17 00:41:00 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.23 released.

	* configure.in [HAVE_X11]: Merge $C_SWITCH_X_SITE into CFLAGS
	for the Xlib and Xt checks; then restore old CFLAGS.

Sun May 15 01:20:57 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (HAVE_X11XTR6): Add newline before #if.
	Add newline after #endif.

Fri May 13 17:01:41 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (HAVE_X11XTR6): Arrange to define it.

Thu May 12 06:51:21 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install): Depend on blessmail.

Thu May 12 03:35:55 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* configure.in (mips-siemens-sysv*): Put quotes around value
	containing blanks.

Wed May 11 22:20:51 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (TAGS): Use the makefile in src subdir.

Tue May 10 16:50:14 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (opsys): Recognize `gnu'.

Tue May 10 16:08:30 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (using NON_GNU_CPP): Fix test for CPP already set.

Mon May  9 10:24:59 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* configure.in: Remove AC_LANG_C call.  Not needed with Autoconf
	 version > 1.8.

Sun May  8 07:35:11 1994  Morten Welinder  (terra@diku.dk)

	* config.bat: Forcibly remove "# " style comments from makefiles.

Sun May  8 15:50:34 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (uninstall): When processing lispdir and etcdir,
	do nothing unless it exists and is a directory.

Fri May  6 19:21:54 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Do install info/dired-x*.
	Merge code in from install-doc.
	(install-doc): Merge code back into install-arch-indep.
	(install-arch-dep): Don't depend on install-doc.

	* configure.in (run_in_place): Don't use pwd for archlibdir and docdir.

Wed May  4 15:40:03 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (making src/Makefile and lib-src/Makefile):
	Split off the autoconf substitutions and don't pass them thru cpp.
	(undefs): Use $canonical as well as $configuration.

	* make-dist: Distribute lisp/Makefile.

	* configure.in: Recognize m88k-dg-dgux5.4.3* and m88k-dg-dgux5.4.2*.
	Use lower case names for the s files.

Fri May  3 12:01:09 1994  Morten Welinder  (terra@diku.dk)

	* config.bat: Added possibility for different file name
	transscriptions in lib-src.

Tue May  3 04:17:46 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (lib-src): Undo previous change.
	(blessmail): New target to run maybe-blessmail in lib-src.
	(all): Depend on blessmail.

	* Makefile.in (lib-src): Depend on src.

Sat Apr 30 15:28:58 1994  Paul Reilly  (pmr@churchy.gnu.ai.mit.edu)

	* configure.in (m88k-dg-dgux5.4R3): Use dgux5-4R3.
	(m88k-dg-dgux5.4R2): dgux5.4R2.

Fri Apr 29 15:25:39 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (window_system): Restore accidentally deleted code
	that uses AC_FIND_X.

	* make-dist: Distribute config.bat.

Fri Apr 29 00:38:09 1994  Morten Welinder  (terra@diku.dk)

	* config.bat: Corrected the configuration of lib-src
	to keep up with configure.  Add note about dos version 3
	or better needed (djgpp needs that).  Add note explaining
	that either install in c:/emacs or edit the script.
	Don't change to c:/emacs, but assume we're there (to minimize
	the number of places to change).

	* config.bat: Build-in the first step towards X11 support with
	the X11 emulator that exists.  At this time it won't work,
	and several files are missing.

Thu Apr 28 00:13:00 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Use m/hp800.h in place of m/hp9000s800.h.
	Don't look for -lresolv.

	* Makefile.in (lib-src): Depend on src/paths.h.

Wed Apr 27 01:12:44 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Restore deleted AC_SUBST of `configuration'.
	Improve error message for bad --with-x-toolkit value.

	* configure.in: Define CONFIGURATION in src/config.h
	rather than substituting in src/Makefile.in.

Tue Apr 26 18:05:01 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* Makefile.in (install-doc): New target.
	(install-arch-dep): Depend on install-doc.
	(mkdir): Create docdir.

Fri Apr 22 21:39:24 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Test for libresolv.a.
	Substitute machfile and opsysfile.

Fri Apr 22 21:03:11 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* Makefile.in (.PHONY, install): Kill reference to obsolete do-install.
	(install-arch-dep): Install under the name $(EMACS).

Thu Apr 21 02:06:52 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (version): Use entire value of emacs-version.
	(mips-siemens-sysv*): New alternative.

Tue Apr 19 19:12:35 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Don't install dired-x*.

Mon Apr 18 20:39:12 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in (src/Makefile, lib-src/Makefile): Delete ^L.
	Fix definition of $undefs.

Sun Apr 17 20:02:17 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (window_system): Obey --with-x11=no and --with-x10=no.

	* configure.in (lib-src/Makefile.in): Use src, not lib-src, in -I.

Sat Apr 16 15:02:02 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* configure.in: Call AC_LANG_C, if it's defined, after AC_PREPARE.

Sat Apr 16 00:22:39 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (lib-src/Makefile.in): Make this from Makefile.in.in
	and run it thru cpp, as with src/Makefile.in.

	* configure.in: Use AC_SET_MAKE.

Fri Apr 15 21:08:30 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (i[34]86-ncr-sysv*): Use usg5-4-2.

Wed Apr 13 13:51:27 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (MAKE): Don't just assign it--use @SET_MAKE@.

	* configure.in (CFLAGS): Exclude ${CFLAGS} from singlequotes.
	(printing the choices): Make the toolkit message unconditional.
	(USE_X_TOOLKIT): Use `none', not `no', if none.
	(include libsrc_libs): Include config.h, and specify -I for srcdir.
	Get rid of temp file foofoo1.

Wed Apr 13 13:12:30 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in (CFLAGS): Use shell syntax, not Makefile.

Tue Apr 12 11:23:19 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (window_system): If no X, set USE_X_TOOLKIT=no.
	(printing the choices): State choice of toolkit.
	(libsrc_libs): Recalculate after writing config.h;
	then update lib-src/Makefile.

Mon Apr 11 21:55:23 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Add sunos4shr as alternative for suns.
	Conditionals testing for null $CC were backwards.

Sun Apr 10 05:08:40 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist (msdos): Don't link patch1.  Link sed*.inp, not sed.in*.

Sat Apr  9 17:42:22 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle -isc4.0*.

Wed Mar 30 23:39:00 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (esix5): Set NON_GNU_CPP.

Thu Mar 24 18:41:36 1994  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* Makefile.in (thisdir): Nonsensical variable removed.
	(install-arch-indep): Set shell var thisdir=`pwd` before cd and cd
	back to $thisdir, rather than the directory `this_dir'.

Thu Mar 17 19:31:18 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Add missing backslash after a
	`then'.

Mon Mar 14 17:06:48 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (thisdir): New variable.
	(install-arch-indep): Go back to thisdir to run INSTALL_DATA.

Tue Mar  8 17:37:19 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in: Add freebsd.

Tue Mar  8 01:52:10 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Check for fpathconf.

Wed Mar  2 00:56:50 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in (with_x_toolkit): Fix typo in previous change.

Tue Mar  1 22:21:55 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in: New s-file for rs60000-ibm-aix3.2.5.

Sat Feb 26 17:04:11 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (with_x_toolkit): Don't allow motif or open-look.

Thu Feb 24 16:16:10 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in: Fix value of docdir.
	* Makefile.in (install-arch-indep): Install DOC* in docdir.

Thu Feb 24 15:41:16 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (*-sysv4.1): Set NON_GNU_CPP.

Tue Feb 22 19:05:02 1994  Karl Heuer  (kwzh@geech.gnu.ai.mit.edu)

	* configure.in: New variable docdir to control where the docstring
	file goes.
	Makefile.in: Use it to initialize PATH_DOC in paths.h.

Tue Feb 22 16:52:54 1994  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in: When --run-in-place, don't inherit archlibdir.

Sat Feb 19 22:23:11 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-dep, install-arch-indep):
	New targets split up former do-install rule.
	(do-install): Target deleted.

Wed Feb 16 21:16:54 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-sony-newsos*): New configuration.

Mon Feb 14 11:38:35 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* configure.in (rs6000-bull-bosx*): Added support for BULL dpx20.

Fri Feb 11 21:27:09 1994  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in: Fix misspelled symbol LD_SWITCH_X_SITE_AUX.

Fri Feb 11 16:29:11 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Don't initialize CC.

Thu Feb 10 21:48:39 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Also generate -U switches
	for symbols in the $configuration value.

	* configure.in: Check for sys_siglist being declared in system header.

Thu Feb 10 14:32:21 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Delete blank lines
	along with lines of whitespace.
	(m68k-motorola-sysv*, m68000-motorola-sysv*): Compute proper CC value.

Wed Feb  9 16:02:00 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Get, use, and substitute C_SWITCH_MACHINE
	like C_SWITCH_SYSTEM.
	(m68*-motorola-sysv*): Set CC.  Require cpu type to be m68k or m68000.

Fri Feb  4 15:21:29 1994  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in (drem): Check for this function.

Thu Feb  3 00:53:53 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (Using NON_GNU_CPP): Don't lose if it has spaces.
	If CPP was inherited from environment, don't use NON_GNU_CPP.
	(NON_GNU_CC): Likewise.
	(handling with_gcc): Use explicit if in the `no' case.
	(cc_specified): New variable; if set, don't use NON_GNU_CC.

Wed Feb  2 17:34:19 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-mips-riscos4*): Set NON_GNU_CPP.

Tue Feb  1 18:16:09 1994  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in: Check whether fmod exists.

Mon Jan 31 18:57:56 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* make-dist: Distribute {src,lisp}/ChangeLog.? instead of
	{src,lisp}/OChangeLog.

Sat Jan 22 18:18:23 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Restore Jan 8 and Jan 16 changes.  The -U hack is
	necessary for proper operation.  This code works with the current
	released version of Autoconf.

Fri Jan 21 01:36:39 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (with_x_toolkit): Treat values athena and lucid alike.
	(USE_X_TOOLKIT): Define it for all values except `no'.

	* configure.in: Undo first Jan 8 change and Jan 16 change.

Tue Jan 18 18:47:51 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle --with-x-toolkit.  Produce lwlib/Makefile.
	Substitute USE_X_TOOLKIT as both C macro and Make variable.

	* Makefile.in (lwlib/Makefile): New target.
	(SUBDIR_MAKEFILES): Depend on lwlib/Makefile.
	(clean, mostlyclean, distclean, realclean): Handle lwlib subdir.
	(unlock, relock): Handle lwlib subdir.

	* Makefile.in: Add some .PHONY targets.

	* make-dist: Handle lwlib subdir like oldXMenu subdir.

	* lwlib: New subdirectory.

Mon Jan 17 17:17:14 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: If CPP has a value that is a directory,
	discard the value.

Sun Jan 16 04:58:47 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (srcdir_undefs): Add g flag to sed substitution to
	remove -U[0-9]*.

Sat Jan 15 10:14:44 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (do-install): Install the dired-x info files.

	* configure.in: Provide for variable LD_SWITCH_X_SITE_AUX.
	(See src/s/sol2.h.)

Wed Jan 12 23:43:08 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (m68k-harris-cxux*, m88k-harris-cxux*): New configs.

Sat Jan  8 16:37:36 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Put code inside 2nd arg to
	AC_OUTPUT as it should be; hopefully noone will again see fit to
	gratuitously break this and not make a change log entry.
	Optimized sed processing of Makefile.in and cpp output; now
	preserves comments previously removed from the cpp input.
	Eliminated temp file for cpp output.  Generate -U switches to
	undefine all identifiers that appear in the directory name
	${srcdir}; pass these to cpp.

	* configure.in (version): Fix sed regexp to match two-elt version
	number.

	* configure.in: Check for strerror.

Fri Jan  7 00:55:28 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Test for bcmp.

Thu Jan  6 07:36:28 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist (tempdir): Put subdir msdos into the distribution.

Fri Jan  7 22:20:15 1993  Morten Welinder  (terra@diku.dk)

	* config.bat: New file.

Sun Jan  2 13:54:12 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (${SUBDIR} target): Pass down LDFLAGS and CPPFLAGS.

Sat Jan  1 12:11:53 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (m68*-next-*): Don't care about which os is specified.
	(i[34]86-*-*): Check for *-nextstop*.

Fri Dec 24 20:43:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Check for setsid.

Fri Dec 17 13:11:44 1993  Richard Stallman  (rms@srarc2)

	* configure.in (*-sun-solaris*): Add special case for Solaris 2.3.

Wed Dec 15 14:03:05 1993  Richard Stallman  (rms@srarc2)

	* Makefile.in (mkdir): Make only the lockdir writable.

	* configure.in (i860-*-sysv4): Renamed from i860-*-sysvr4.

Sat Dec 11 15:56:10 1993  Richard Stallman  (rms@srarc2)

	* Makefile.in (libdir): Use @libdir@.

Wed Dec  8 22:30:27 1993  Richard Stallman  (rms@srarc2)

	* Makefile.in (install): Add empty command.

Sat Dec  4 14:15:50 1993  Richard Stallman  (rms@srarc2)

	* make-dist: Put man/getopt.c in the dist.

	* configure.in (LIBS): Add test for existence of XSetWMProtocols.

	* Makefile.in (install): Depend on ${SUBDIR}, not `all'.

Fri Dec  3 16:41:58 1993  Richard Stallman  (rms@srarc2)

	* configure.in (solaris): Set NON_GNU_CPP instead of CPP.
	Set it for all solaris versions.
	(mips-mips-riscos4*): Set NON_GNU_CC, not CC.
	(after checking for GCC): If not GCC, and NON_GNU_CPP is set, set CPP.
	Likewise for NON_GNU_CC and CC.

Wed Dec  1 22:59:18 1993  Richard Stallman  (rms@srarc2)

	* configure.in (mips-mips-riscos4*): Assign variable CC.
	(checking ${with_gcc}): If "no", don't override CC if already set.
	(CC): Initialize it as empty.

Tue Nov 30 14:54:34 1993  Richard Stallman  (rms at srarc2)

	* configure.in (Suns): Set CPP if *-solaris2.3*.

Sat Nov 27 04:14:28 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.22 released.

	* Makefile.in (do-install): Use umask 022 in copying etc and lisp dirs.

Thu Nov 25 16:46:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: When breaking links, use cp -p.
	Copy install.sh into distribution.
	Move the temp dir up into the parent dir;
	don't leave the staging dir make-dist.tmp... in existence.
	* install.sh: New file.

Sun Nov 21 04:01:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (i[34]86-ncr-sysv*): New specific alternative.

Sat Nov 20 01:03:10 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (version): When --run-in-place, exclude
	${datadir}/emacs/site-lisp from locallisppath.

Thu Nov 18 00:56:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Delete jumk.c before writing it.

Tue Nov 16 00:56:51 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.21 released.

	* Makefile.in (mkdir): Ignore error from chmod.

Mon Nov 15 05:11:55 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Don't put lisp/forms.README in the distribution.

Sat Nov 13 04:37:15 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Before running cpp,
	discard all lines that start with `# Generated' or /**/#.

Thu Nov 11 09:52:37 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.20 released.

	* make-dist: Use build-ins.in, not build-install.in.
	Don't bother updating TAGS since it's not included.

	* build-ins.in: Renamed from build-install.in.

Wed Nov 10 16:02:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Don't try to link *.texinfo--there are none now.
	When running make in lib-src, specify YACC var value.

Sun Oct  3 15:55:17 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (extrasub): Add vpath patterns for %.[yls].

	* configure.in: Don't do seddery on config.status after AC_OUTPUT.
	Instead just include the commands to make src/Makefile as the
	second arg to AC_OUTPUT.

	* configure.in: Use : instead of dnl for comment inside
	$makefile_command.

	* configure.in: No longer use vpath_sed.  Instead, when we notice
	srcdir already configured, set extrasub to hack vpath in the
	makefiles.

	* configure.in: In cmds to make src/Makefile, chmod Makefile.new
	before moving it.
	* Makefile.in (VPATH): Define to @srcdir@.

Tue Sep 28 03:25:46 1993  Brian Fox  (bfox@cubit)

	* configure.in: Don't copy ${srcdir}/src/Makefile.in; that file
	doesn't exist.  Just copy src/Makefile.in instead.  Touch
	all of the Makefiles after editing config.status.

	* INSTALL: Update documentation to match new configuration
	mechanism.

Mon Sep 27 08:51:38 1993  Brian Fox  (bfox@ai.mit.edu)

	* configure.in: Allow any of the path or directory Makefile
	variables to be set with flags to configure.  Create all Makefiles
	at configure time.  Edit special commands into config.status after
	src/Makefile.in is built from src/Makefile.

	* Makefile.in (src/Makefile, lib-src/Makefile, oldXMenu/Makefile):
	  If these files are out of date, simply have config.status
	  rebuild them; don't rebuild them explicitly.

Sat Sep 25 12:00:38 1993  Brian Fox  (bfox@ai.mit.edu)

	* build-install.in: Change src/xemacs to src/emacs.  We no longer
	create src/xemacs, so the file wouldn't be found.

	* make-dist: Remove `src/ymakefile', add `src/Makefile.in.in'.

Fri Sep 24 03:07:35 1993  Brian Fox  (bfox@albert.gnu.ai.mit.edu)

	* configure.in: Avoid forcing the search of /usr/include before
	fixed include files by resetting C_SWITCH_X_SITE if it is
	"-I/usr/include".

Mon Sep 20 09:47:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (@rip_paths@locallisppath):
	Delete ${datadir}/emacs/site-lisp.

Sun Sep 15 19:54:04 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in:
	Use AC_QUOTE_SQUOTE twice to properly quote vpath_sed value.
	Remove ${extra_output} from AC_OUTPUT call.

Fri Sep 17 13:22:22 1993  Brian Fox  (bfox@inferno)

	* make-dist: Quote backquotes found in strings to be echoed.

	* configure.in: Use "sh -c pwd" when we want to avoid having the
	shell fix up the value of $PWD.

Mon Sep 13 21:06:16 1993  Brian Fox  (bfox@inferno)

	* Makefile.in (do-install): Don't abort if ln or chmod at the end
	of the installation fail.  Suggested by Karl Berry.

Mon Aug 30 07:41:04 1993  Brian Fox  (bfox@inferno)

	* Makefile.in (*clean): Use "$(MAKE) $(MAKEFLAGS)" wherever "make"
	was used.  Set MAKEFLAGS from MFLAGS.

Thu Sep 16 16:08:11 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Test for res_init in libc.

Mon Sep 13 11:56:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: In the file ${tempcname}, use configure___
	instead of @configure@.

Sun Sep 12 10:51:49 1993  Roland McGrath  (roland@sugar-bombs.gnu.ai.mit.edu)

	* make-dist: Dist vpath.sed

	* Makefile.in (lib-src/Makefile, src/Makefile, oldXMenu/Makefile):
	Depend on vpath.sed.
	Replace sed comand for VPATH with @vpath_sed@.

	* configure.in: Substitute variable `vpath_sed'.
	If not in $srcdir and $srcdir is configured,
	issue warning that GNU make is required,
	and set vpath_sed to use vpath.sed script.

Fri Sep 10 01:18:13 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Remove check for $srcdir being configured.  This
	pretty much works now.
	Grok {m68*-hp,i[34]86-*}-netbsd* and set opsys=netbsd.
	Check for XFree86 (/usr/X386/include) independent of whether
	-lXbsd exists.

	* Makefile.in (info, dvi, clean, mostlyclean, distclean,
	realclean, unlock, relock): Use `$(MAKE)' in place of plain
	`make'.

Sat Aug 14 01:31:37 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.19 released.

	* configure.in (i386-*-sunos4): Assume Sunos 4.0.

Fri Aug 13 18:17:24 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Check for XScreenNumberOfScreen.

Thu Aug 12 01:01:44 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Add * to end of all configuration alternatives.
	(m68*-sony-newsos3*): New alternative.

Wed Aug 11 00:12:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Include getdate.c in distribution.

	* configure.in: For --help, use $PAGER if it is set.
	(LIB_X11_LIB): Default to -lX11.
	(mips-sgi-irix5.*): New alternative.

	* Makefile.in (do-install): Install info/gnus* and info/sc*.

	* configure.in (m68*-hp-hpux*, hppa*-hp-hpux*):
	Recognize *.B8.* as hpux version 8.
	(m68*-tektronix-bsd*): Fix typo in tek4300.
	(AC_HAVE_FUNCS): Add ftime.

Tue Aug 10 17:30:07 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (m88k-tektronix-sysv3*): Added the missing *.
	Use tekxd88, not tekXD88.

Tue Aug 10 14:16:57 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Check for -lm.  Then can check for frexp and logb.

Sun Aug  8 13:42:49 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.18 released.

	* make-dist (src): Don't put gnu-hp300 in dist.
	(src, lisp): Include OChangeLog in dist.

Sun Aug  8 01:52:55 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Test for presence of logb and frexp functions.

Thu Aug  5 17:10:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (machine): Add i370-ibm-aix*.

Tue Aug  3 02:55:17 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in (function checks): Test for mkdir and rmdir.

	* configure.in (function checks): Don't test for random and bcopy
	only when we're building with X; look for them all the time.

Fri Jul 30 21:07:00 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Test for availability of bcopy functions, searching
	the X libraries if we're using X.

	* configure.in: Test for the presence of/usr/lpp/X11/bin/smt.exp,
	and #define HAVE_AIX_SMT_EXP if we do.  This is present in some
	versions of AIX, and needs to be passed to the loader.

	* configure.in: Test for the availablility of the
	XScreenResourceString function.

Fri Jul 30 20:54:58 1993  David J. MacKenzie  (djm@frob.eng.umd.edu)

	* configure.in: If we found X on our own, set C_SWITCH_X_SITE and
	LD_SWITCH_X_SITE and assume --with-x11.
	Only look for X11 files if we weren't told about a window system
	or if we were told to use X11 but not told where.
	Search the libraries from the s and/or m files when checking for
	functions.

	* configure.in: Remove any trailing slashes in prefix and exec_prefix.

Tue Jul 27 19:43:41 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Include lisp/dired.todo in the distribution.

Fri Jul 23 15:51:24 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Add code to set HAVE_INET_SOCKETS.

Wed Jul 21 18:05:58 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: If we do find x_includes and x_libraries
	via AC_FIND_X, set C_SWITCH_X_SITE and LD_SWITCH_X_SITE.

Mon Jul 19 15:19:23 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Include src/gnu-hp300 in the dist.

	* configure.in (canonical): New variable holds the canonicalized
	configuration.  Don't alter `configuration'.  Use `configuration'
	for Makefile.in for file naming.
	(testing x_includes and x_libraries): Use =, not ==.

Sat Jul 17 19:53:06 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Version 19.17 released.

	* Makefile.in (src/Makefile): Propagate C_SWITCH_SYSTEM to the src
	directory's makefile.  This allows the invocation of CPP which
	builds xmakefile to receive these switches.  The SunSoft C
	preprocessor inserts spaces between tokens if it doesn't get the
	-Xs flag requested in src/s/sol2.h.

Mon Jul 12 14:43:38 1993  Frederic Pierresteguy  (F.Pierresteguy@frcl.bull.fr)

	* configure.in (m68k-bull-sysv3): new config.

Sat Jul 10 01:17:31 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Use the autoconf AC_FIND_X macro to try to find
	the X Windows libraries.

Wed Jul  7 05:57:15 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist (tempdir): Don't create lisp/forms-mode directory in
	the distribution.  Those files aren't kept in their own
	subdirectory any more.

Tue Jul  6 11:05:14 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.16 released.

Wed Jun 23 21:52:34 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Add --verbose flag.

Sat Jun 19 17:14:27 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* version 19.15 released.

Fri Jun 18 11:59:35 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Makefile.in (top_distclean): Use -f switch when cleaning out
	lock dir; it might be empty.

	* configure.in: Only check for -lXbsd once.

Thu Jun 17 19:29:56 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.14 released.

Thu Jun 17 00:53:41 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: If using gzip, create distribution with '.gz' extension.

	* make-dist (lisp/term): This doesn't have a ChangeLog anymore.
	(lisp/forms-mode): This doesn't exist anymore.

	* configure.in: Look for the closedir function.

Wed Jun 16 16:48:35 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in (CPP): Autoconf sets this to a shell variable
	reference, which doesn't work when it's edited into a makefile.
	Expand that variable reference.

	* Makefile.in (CPP): New variable.
	(src/Makefile): Edit CPP into src/Makefile.

	* Makefile.in (src/Makefile): Don't bother exiting single quotes
	and entering double quotes to get the values of LD_SWITCH_X_SITE
	and the other make variables; make substitutes them in anyway.

	* Makefile.in (uninstall): Don't remove the lisp and etc
	directories if they're in the source tree.

        Bring mumbleclean targets into conformance with GNU coding standards.
	* Makefile.in (mostlyclean, clean): Separate these two; just have
	them pass the request to the subdirectory makefiles.
	(distclean): Pass the request down, and then get rid of the
	files configure built, and get rid of the Makefiles.
	(realclean): Pass the request down, and then do the same things
	distclean does.
	(uninstall, info, dvi): New targets.

	* configure.in: Move clause for PC-compatible i386 box to the end
	of the case statement, to avoid masking configurations below.

	* configure.in: Add case for m88k-motorola-sysv4.

	* configure.in: Add support for HP/UX versions 7, 8, and 9 on
	the HP 68000 machines.

	* configure.in: Put the arguments to LD_SWITCH_X_SITE's and
	C_SWITCH_X_SITE's -L and -I switches in quotes, so the
	preprocessor won't fiddle with them.

Sun Jun 13 04:23:31 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (TAGS): cd to src to run etags.

Sat Jun 12 05:54:23 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in (version): Check the X libraries for XrmSetDatabase
	and random, and see if we have -lXbsd.

Fri Jun 11 02:35:54 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Pass "-Isrc" to the CPP we run to examine the
	s/*.h and m/*.h files.  Martin Tomes
	<mt00@controls.eurotherm.co.uk> says ISC Unix 3.0.1 needs it.

Thu Jun 10 19:03:24 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Move i386-prime-sysv* and i386-sequent-bsd*
	above the general i386 alternative.

Thu Jun 10 01:45:45 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Recognize configuration name for Data General
	AViiON machines.

	* configure.in: Use AC_LONG_FILE_NAMES.

Wed Jun  9 00:05:06 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Test for bison.
	* Makefile.in (YACC): New variable.
	(lib-src/Makefile.in): Edit YACC into the makefile.

Tue Jun  8 02:42:18 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Version 19.13 released.

	* configure.in (CFLAGS): Don't set this according to the value of
	the GCC shell variable.  Instead, consult the machine and system
	files for the values of C_OPTIMIZE_SWITCH and C_DEBUG_SWITCH, and
	test __GNUC__ while we're at it.

	* configure.in: Remove extra ;; from hpux cases.

Mon Jun  7 23:55:41 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Check to see if the system has -ldnet.

Tue Jun  8 00:22:46 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Add clauses to distribute lisp/forms-mode.

Mon Jun  7 13:53:54 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (machine): Fix the versions in hpux version number test.
	Do not guess based on cpu type.  Do check for explicit system version.

Thu Jun  3 16:42:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Do NOT look for `unknown' as company name.

Wed Jun  2 12:10:09 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Fix typo in message.

Tue Jun  1 00:08:05 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.12 released.

	* Makefile.in (do-install): Correct previous etc-copying change.
	Partially rewrite using `if'.
	(src/Makefile): Insert --x-libraries option into LD_SWITCH_X_SITE.

	* Version 19.11 released.

	* configure.in: Handle 386bsd.

Mon May 31 00:23:47 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Update getdate.c.

	* configure.in: Handle bsd386.

	* Makefile.in (do-install): Use `-' in tar options.

	* configure.in: Change  ! "${...}"  to  x"${...}" = x.

	* Makefile.in (do-install): Copy the DOC-* files from the build
	etc directory, as well as lots of things from ${srcdir}/etc.

	* make-dist: Copy config.guess.

	* configure.in: Handle AIX versions 1.2, 1.3.

Sun May 30 15:37:57 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Use s/bsd4-3.h for mips-mips-riscos4, and add
	the configuration name mips-mips-usg* to represent USG systems.

	* configure.in: Fix logic to detect if srcdir is already configured.

	* Makefile.in: Pass in LD_SWITCH_X_SITE.

	* Makefile.in (mkdir, clean, mostlyclean, do-install): Use `(cd
	foo && pwd)` instead of `(cd foo ; pwd)` to get the canonical name
	of a directory; cd might fail, and have pwd print out the current
	directory.

Sun May 30 14:55:24 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: When looking for sources, use '.', not `.`.  Also '..'.

Sun May 30 14:23:50 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Complain if srcdir points at an already-configured
	tree.

Sun May 30 00:15:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.10 released.

Sat May 29 16:52:24 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in: Use Makefile comments, not C comments.

	* configure.in: Add case for the Tektronix XD88.

Sat May 29 16:30:13 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle sysv4.2 and sysvr4.2.

Sat May 29 15:30:00 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Traverse the argument list without destroying it;
	don't use shift.  It turns out that "set - ${saved_arguments}"
	doesn't work portably.

	* configure.in: Add missing "fi".

	* make-dist: Rebuild configure if configure.in is newer.

	* Makefile.in (src:, lib-src:, FRC:): force the src and lib-src
	targets to be executed even if make remembers that it has already
	stisfied FRC.

Sat May 29 02:09:15 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (do-install): Delete redundant code to copy etc twice.

	* configure.in (romp): Handle various version numbers with aos and bsd.

Fri May 28 17:02:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Fix message text.

Fri May 28 00:31:48 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Make a `site-lisp' directory in the distribution,
	instead of a `local-lisp' directory, which hasn't been the
	appropriate name for a long time.
	* Makefile.in (@rip_paths@locallisppath): Use site-lisp directory
	from the distribution first, then /usr/local/lib/emacs/site-lisp.

	* Makefile.in (do-install): Correctly detect if ./etc and
	${srcdir}/etc are the same.

	* configure.in: Extract UNEXEC from the system configuration
	files, compute the name of the source file corresponding to the
	object file, and #define it as UNEXEC_SRC in config.h.

	* configure.in: If srcdir is '.', then try using PWD to make it
	absolute.

	* configure.in: Include ${srcdir} in the printed report, to help
	people notice if it's an automounter path.

Thu May 27 23:23:58 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in (prefix): Don't run pwd on srcdir unnecessarily.

Thu May 27 18:01:54 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (do-install): Delete the dest dir, not the source dir,
	when they are different.  Add  `shift' command.
	(COPYDESTS, COPYDIR): Delete external-lisp dir.
	(externallispdir): Var deleted.

	* configure.in: Delete spurious paren outputting short_usage.

Thu May 27 02:35:32 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.9 released.

Wed May 26 14:23:27 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in (${SUBDIR}): Pass the value of the make variable to
	subdirectory makes.

	* make-dist: Check for .elc files with no corresponding .el file.

	* Makefile.in (mkdir): Make all the directories in locallisppath.

	* config.guess: New file.
	* configure.in: Use it, tentatively.
	* INSTNALL: Mention its usage.

	* configure.in (hppa-hp-hpux): Use uname -r instead of uname -m;
	the former gives you the operating system rev directly.  Use
	s/hpux.h if we don't recognize what we got.

	* Makefile.in (do-install): Don't remove a destination directory
	if it's the same as the source.  If ${srcdir}/info == ${infodir},
	don't try to copy the info files.

	* Makefile.in (COPYDIR, COPYDESTS): Don't mention etc twice; this
	doesn't work if you're not using a separate source directory.
	(do-install): Copy the build tree's etc directory only after
	making sure it's not also the source tree's etc directory.

Wed May 26 13:43:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle sunos4.1.3 specially.

Tue May 25 12:47:10 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (INSTALL): Add definition.

	* configure.in: Fix some messages.  Support -with-gnu-cc.
	At the end, use `set --', not `set -'.
	Delete spurious `.h' in hpux alternatives.

Tue May 25 05:15:14 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.8 released.

Tue May 25 00:55:45 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: When looking for source in the same directory as
	the configure script, make the path thus discovered absolute.
	If the user specifies the `--srcdir' switch, make that directory
	absolute too.

	* Makefile.in (srcdir): Remove comment saying this doesn't work.

	* Makefile.in (src/paths.h): Edit the `infodir' variable into this
	too, as the value of the PATH_INFO macro.

	* configure.in: Check to see if the source lives in the same
	directory as the configure script.

Mon May 24 12:14:41 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in (install): Split this into `install' and
	`do-install', to give people more control over exactly what gets
	done.
	(do-install): New target, containing the guts of `install'.  Don't
	remove and recreate the directories inside the copying loop - do
	it all before the copying loop.  Pass more flags to the lib-src
	make.
	(mkdir): Create ${infodir}, ${mandir}, and ${sitelispdir} here, to
	avoid errors and warnings.

	* configure.in: For generic IBM PC boxes, insist on "unknown" for
	the manufacturer - the more general case was blocking other i386
	configuration names below, and that's how the names are written in
	MACHINES anyway.

	* make-dist: When breaking links, remove the link before moving
	the copy onto it, to avoid interactive behavior.

	* Makefile.in: Doc fix.

	* configure.in: Doc fix.

	* INSTALL: Mention --exec-prefix option.

	* configure.in: Add support for the `--exec-prefix' option.
	* Makefile.in: Accept that support.

	* configure.in: Use the AC_PROG_INSTALL macro.
	* Makefile.in (INSTALL): Variable removed.
	(INSTALL_PROGRAM, INSTALL_DATA): Accept these values from configure.

	* configure.in: Distinguish between hp800's and hp700's by calling
	"uname -m".

Mon May 24 00:12:26 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

        * configure.in: Recognize configuration names for i860 boxes
	running SYSV.

Sun May 23 00:37:44 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Distinguish between hp800's and hp700's by the
	version of HP/UX they run, since that's something people are more
	likely to know - hp700's run 8.0.
	Add HP 700 configuration.

	* configure.in: Test for the presence of the `rename' function.

	* Makefile.in (C_SWITCH_X_SITE): New variable - get this from
	configure.in.
	(oldXMenu/Makefile): Edit C_SWITCH_X_SITE into this.

	* make-dist: Break intra-tree links.

	* configure.in: Explain that this is an autoconf script, and give
	instructions for rebuilding configure from it.  Arrange to put
	comments in configure explaining this too.

	* configure.in: Make the first line of the configure script be
	"#!/bin/sh".  Leaving the first line blank didn't work.

	* configure.in (long_usage): Removed; made short_usage describe
	the options briefly.

	* configure.in: Implement the --prefix option.
	* Makefile.in (prefix): Add support for it here.
	* INSTALL: Document it here.

	* Makefile.in (install): Don't assume that the files in the `info'
	subdirectory match  *.info.  They don't have that prefix.

Sat May 22 22:53:24 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Add case for version 5 of Esix.

Sat May 22 17:24:06 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

        * Version 19.7 released.

	* make-dist: There aren't any *.com files in lib-src anymore.

	* make-dist: Copy texinfo.tex and texindex.c, rather than linking
	them; they're symlinks to other filesystems on the GNU machines.

	* make-dist: Check that the manual reflects the same version of
	Emacs as stated in lisp/version.el.  Edit that version number into
	the README file.

Fri May 21 17:32:41 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Remove the hack of AC_DEFINE; use
	AC_DEFINE_UNQUOTED.

Thu May 20 01:24:24 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Don't distribute precomp.com, compile.com, or
	link.com from ./src; they're in ./vms now.

	Some time-handling patches from Paul Eggert:
	* configure.in: Add AC_TIMEZONE.

Wed May 19 20:56:26 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Recognize Linux as a valid operating system for
	the i386.

Tue May 18 16:31:50 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Distribute some VMS files we got from Richard Levitte.

	* Makefile.in (oldXMenu/Makefile): Take oldXMenu/Makefile.in as
	the source for the sed command, not oldXMenu/Makefile.

Mon May 17 19:33:55 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* INSTALL: Don't claim the srcdir option doesn't work.

Sun May 16 18:41:27 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Include remarks saying what order the autoconf
	tests should go in, and remind people to change config.h.in
	whenever they add autoconf tests which make #definitions.

	* make-dist: Distribute oldXMenu/Makefile.in, not oldXMenu/Makefile.

Sat May 15 16:47:50 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Makefile.in (oldXMenu/Makefile): Make this depend on
	${srcdir}/oldXMenu/Makefile.in, not itself.

	* PROBLEMS: Some updates from David J. Mackenzie.

	More changes from David J. Mackenzie.
	* Makefile.in (install.sysv, install.xenix, install.aix): Targets
	removed; autoconf and config.h should specify all these
	differences.
	(buildlisppath): Make this path depend on ${srcdir}.
	(INSTALLFLAGS): Removed.
	(INSTALL): Include the -c flag.
	(install): Change the way we invoke install accordingly.

	Install ${srcdir} changes from DJM.
	* Makefile.in (SUBDIR_MAKEFILES): Add oldXMenu/Makefile to this
	list.
	(COPYDIR, COPYDESTS): Install files from both the etc directory in
	the source tree and the etc directory in the object tree.
	(${SUBDIR}): Pass the prefix variable down to submakes.
	(everywhere): Use `sed', not `/bin/sed'.  Not all systems have sed
	in /bin.
	(lib-src/Makefile, src/Makefile, oldXMenu/Makefile): Edit in
	values for srcdir and VPATH.
	(install): Add `v' flag to tar command.  Make sure that `dir'
	exists in ${srcdir}/info before copying it.  Remember that the man
	pages come from the source tree, not the object tree.
	* configure.in: Remove remarks saying that the --srcdir option
	doesn't work.
	Create the etc directory in the object tree.
	Recognize configuration names of the form *-sun-solaris*.
	Recognize sunos5 and solaris as operating system names.

	* configure.in: Use the AC_TIME_WITH_SYS_TIME macro, for
	lib-src/getdate.y and src/systime.h.

Sat May 15 00:12:26 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Make links in info subdir.

Thu May 13 15:28:19 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Call AC_STDC_HEADERS.

Mon May 10 15:19:03 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Sidestep autoconf's quoting of the second argument
	of AC_DEFINE, so we can specify the value to put there.  It would
	be nice if autoconf provided some way to specify computed values
	for macros.

Sun May  9 17:30:48 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (DEFS): Deleted; since we're using AC_CONFIG_HEADER,
	this is always just -DHAVE_CONFIG_H.

	The GNU coding standards specify that CFLAGS should be left for
	users to set.
	* Makefile.in (CFLAGS): Let configure determine the default value
	for this.  Don't
	have it default to DEFS.
	(${SUBDIR}): Pass CFLAGS down to submakes, not DEFS.
	(lib-src/Makefile, src/Makefile): Edit the default value for
	CFLAGS into these files, not DEFS.
	* configure.in (CFLAGS): Choose a default value for this - "-g"
	normally, or "-g -O" if we're using GCC.  Edit it into the
	top-level Makefile.

	* configure.in: When scanning the machine and system description
	#include files, write their names to conftest.c properly.

Fri May  7 00:57:13 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: In configuration name case for Apallos running
	Domainios, set opsys, not opsysfile.

	* configure.in: Use the autoconf AC_CONFIG_HEADER macro to produce
	src/config.h, instead of AC_OUTPUT; the latter overwrites
	src/config.h even when it hasn't changed, puts a makefile-style
	comment at the top even though it's C code, and produces a
	config.status script which doesn't do the job right.

	* configure.in: Add AC_LN_S test, so we can tell whether or not we
	can use a symbolic link to get the X Menu library into src.
	* Makefile.in (LN_S): New variable.
	(src/Makefile): Edit the value of LN_S into this makefile.

Thu May  6 14:03:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Support *-sco3.2v4* as opsystem.

	* make-dist: Don't include calc directory.
	Exclude many files in the man directory; copy a few.

Tue May  4 10:15:32 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Use AC_HAVE_HEADERS to test for sys/time.h, and
	call AC_STRUCT_TM to see what's in time.h.

	* configure.in: Employ quoting stupidity to get the value of CPP
	to expand properly.

Tue Apr 27 13:00:28 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Use the AC_PROG_CPP macro, and then use the CPP
	variable to scan the machine and system description files.

	* configure.in: Use the AC_HAVE_HEADERS to check for sys/timeb.h,
	so that getdate.y builds correctly.

Mon Apr 26 19:11:45 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in (tempcname): Change this to "conftest.c", so it will
	work properly on systems with short filenames; this is the name
	autoconf uses.

	* configure.in: Also detect the availability of dup2 and
	gethostname.

	* configure.in: Use the AC_ALLOCA test.
	* Makefile.in (ALLOCA): New variable, to be set by ./configure.
	(lib-src/Makefile): Edit the value of ALLOCA into lib-src/Makefile.

Sat Apr 24 23:41:48 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Distribute configure, as well as configure.in.
	Oversight.

Fri Apr 23 17:32:12 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install): Print out the name of the directory we're
	copying, so people can have some idea of whether we're making
	progress.

	* Makefile.in (install.aix, install.xenix, install.sysv, install):
	Don't forget to re-create the COPYDESTS directories after we clear
	them out.

Tue Apr 13 00:58:01 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in: Add autoconf cookies so that the configure
	script can comment out sections of path variable definitions to
	choose between the installable configuration and the run-in-place
	configuration.
	* configure.in: Add new option `--run-in-place', to select the
	run-in-place path definitions.

	* configure.in: Add a clause to the big configuration name case
	for the NeXT machine.

Mon Apr 12 22:20:30 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Make sure that each source directory exists, and is different from
	the destination directory; then, delete the destination before
	copying over the source.

	* make-dist: Distribute configure.in, instead of configure.

Sat Apr 10 04:29:06 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Don't set CC to "gcc -O" if the user specifies
	`--with-gcc'.  Add -O to DEFS if GCC is set.

Fri Apr  9 07:20:40 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (clean mostlyclean): Missing right paren.

	* configure.in: When checking for X windows, search for an X11
	subdirectory of ${x_includes}.

	* configure.in: Check for gettimeofday function, for getdate.y.

        Change `configure' to a mixture of custom code and autoconf stuff.
	autoconf can't derive all the information we need, but we'd really
	like to be able to take advantage of some of its tests, and its
	file-editing facilities.
	* configure.in: Renamed from configure.
	Quote the sections of shell script we want copied literally to
	the configure script.
	(compile): Initialize this to make the autoconf macros' code happy.
	Use AC_PROG_CC, AC_CONST, and AC_RETSIGTYPE instead of writing out
	code to do their jobs.
	Use autoconf to produce Makefile and src/config.h.
	Remove the Makefile-style comment that autoconf places at the top
	of src/config.h.
	(config_h_opts): Removed - no longer necessary.
	* Makefile.in (configname): Renamed to configuration.
	(CONFIG_CFLAGS): Renamed to DEFS.
	(CC, DEFS, C_SWITCH_SYSTEM, version, configuration): Adjusted to
	get values via autoload @cookies@.
	(libsrc_libs): Get this from autoconf.  We used to do nothing
	about this.
	(${SUBDIR}): Pass DEFS to submakes instead of CONFIG_CFLAGS.

	* Makefile.in (src/paths.h, lib-src/Makefile, src/Makefile): Don't
	echo the move-if-change command.

Thu Apr  8 05:29:14 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* make-dist: Distribute lib-src/rcs-checkin.

	* make-dist: It's oldXMenu/compile.com, not oldXMenu/compile.mms.
	Don't try to make links to the RCS or Old subdirectories.
	Use the appropriate extension for the compression type in use.
	Create the tar file in the shell's initial default directory, not
	in ${tempparent}.
	Erase the whole ${tempparent} tree, not just ${tempdir}.

Tue Mar 30 15:32:59 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Makefile.in (src/paths.h): Don't echo the huge sed command we
	use to build paths.h.
	(lib-src/Makefile, src/Makefile): Similarly.

	* configure: Extend test for working `const' keyword to handle AIX
	3.2 cc.

Wed Mar 24 20:12:05 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Distribute lisp/term/ChangeLog.

        Arrange for C compilation throughout the tree to get
	C_SWITCH_SYSTEM from the configuration files.
	* configure: Extract C_SWITCH_SYSTEM from the machine and
	system-dependent files, and save it in the top-level Makefile.
	* Makefile.in (C_SWITCH_SYSTEM): New flag for configure to edit.
	(lib-src/Makefile): Edit C_SWITCH_SYSTEM into lib-src/Makefile.

	* make-dist: Include the VMS support files in oldXMenu in the
	distribution.

	* configure: Doc fix.

	* configure: Fix corrupted config_h_opts.

	* configure: Properly report option names in error messages.

	* configure: Properly recognize --x-includes and --x-libraries
	options.

	* configure: Fix syntax errors in code handling XFree386.

Tue Mar 23 00:29:52 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure: Add special code to detect XFree386, and tell
	config.h about it.

	* configure: Properly handle extracting values of LIBS_MACHINE and
	LIBS_SYSTEM that contain spaces.

	* configure: Add `--x-includes' and `--x-libraries' options.  I
	think these are dopey, but no less than three alpha testers, at
	large sites, have said they have their X files installed in odd
	places.  Implement them by setting C_SWITCH_X_SITE and
	LD_SWITCH_X_SITE in src/config.h.

Mon Mar 22 14:57:04 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* make-dist: Don't distribute etc/Old files.

	* GETTING.GNU.SOFTWARE, PROBLEMS: Registered into RCS with their
	  backups.

Sat Mar 20 13:11:55 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Fix typo.

Fri Mar 19 08:08:04 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* make-dist: Corrected typo, fixed it to discard = and TAGS files
	in some cases where it should but didn't seen to.

	* Makefile.in: Added unlock and relock productions.

Thu Mar 18 23:12:47 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Add a --compress option to force make-dist to use
	compress.

	* make-dist: Use gzip, if we can find it.

	* configure: Recognize rs6000-ibm-aix32 and rs6000-ibm-aix, and
	make rs6000-ibm-aix default to -aix32.

Wed Mar 17 13:23:14 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* Makefile.in: Added `Developer's configuration' section.

Wed Mar 17 08:30:52 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Makefile.in: Add commented-out variable settings for developer's
	  configuration.

Sun Mar 14 20:16:21 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Distribute `src/bitmaps' too.

Sun Mar 14 17:16:53 1993  Charles Hannum  (mycroft@hal.gnu.ai.mit.edu)

	* configure: Recognize rs6000-ibm-aix32 and rs6000-ibm-aix, and
	make rs6000-ibm-aix default to -aix32.

Tue Mar  9 11:05:00 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Recognize strings like "sysvr0" or "sysvr1" as System V.

	* Makefile.in (install.sysv): Add a second `$' in front of
	`${dest}', so that the shell will expand it, instead of Make.

	* configure: When processing the name of the configure script,
	collapse `././' to `./', but leave a single `./' prefix alone.

	* configure: Doc fix.

Thu Mar  4 09:42:29 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure: Handle isc3.0 correctly.

Thu Feb 25 00:31:33 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Don't try to copy the COPYING notice into
	external-lisp; we're not distributing that directory any more.

Wed Feb 24 17:25:27 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install, install.aix, install.xenix, install.sysv):
	Remove CVS subdirectories from the installed directory trees, as
	well as RCS directories.

Tue Feb 23 06:54:11 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Only copy gmalloc.c if we couldn't link it.
	Don't try to copy man/{README,Makefile} unless they actually exist.

	* Makefile.in (lisppath): Don't include externallispdir in this.
	We're not sure whether we're even going to distribute the
	directory yet.

Wed Feb 17 20:19:06 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Don't distribute the external-lisp directory anymore.
	* INSTALL: Remove all references to external-lisp.

	* configure: Detect whether the compiler supports `const'
	properly, and edit src/config.h accordingly.

	* configure: Tweak layout of final report.

	* Makefile.in (${SUBDIR}): Pass CONFIG_CFLAGS to the submakes, not
	CFLAGS.

	* Makefile.in (locallisppath): Make this default to
	${datadir}/emacs/site-lisp, instead of
	${datadir}/emacs/local-lisp.  ${datadir} and ${statedir} are often
	the same thing, and local-lisp causes completion conflicts with
	lock.
	(lisppath): Add ${externallispdir} to this.
	* INSTALL: Adjust installation directions.

	* Makefile.in (externallispdir): New variable, to say where to
	install the externally-maintained lisp files.
	(COPYDIR, COPYDESTS): Copy the external lisp directory just like
	the others.
	* INSTALL: Describe external-lisp and the new externallispdir
	variable.

Sun Feb 14 08:47:04 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure (progname): New option `--with-gcc'.  Make it clearer
	how we are trying to guess whether or not we have GCC.
	* INSTALL: Document the `--with-gcc' option, and improve
	description of `--with-x' options.

Sat Feb  6 19:55:48 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (COPYDIR, COPYDESTS): Remove ${srcdir}/info and
	${infodir} from these variables; we have written out explicit code
	to install the info files.

Mon Jan 25 23:27:53 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Don't distributed the RCS files in the etc directory.

Sun Jan 24 20:48:02 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in: Some makes can't handle comments in the middle of
	commands; move them to before the whole rule.

Sat Jan 16 00:37:46 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* README: Mention what Emacs is.

Thu Jan 14 12:27:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Include `./lisp/calc-2.02' in the distribution.
	Add `./cpp' and `./man' back into the distribution.

Wed Jan 13 17:20:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in: Define MAKE, and use where appropriate.

Thu Jan  7 04:37:46 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Remember that the authoritative COPYING notice is
	`etc/COPYING', not `../etc/COPYING'.

Sun Dec 20 23:59:43 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Make sure that the COPYING notices in each directory
	are copies, not symlinks.

Sat Dec 19 06:46:05 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* INSTALL: The build process produces an executable called `emacs'
	now.  Change references.
	* Makefile.in: Adjust `install.mumble' targets to install
	`src/emacs', not `src/xemacs'.

	* configure: Start with a blank line; this keeps some old CSH's
	from thinking it's a CSH script.  Most systems will just use
	/bin/sh to run it, which is what we're expecting; the only other
	shells which might try to interpret it themselves are probably
	Bourne-compatible.

Mon Dec 14 07:09:36 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* INSTALL: Improvements suggested by David Mackenzie.

Sat Dec 12 00:31:46 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Don't try to copy the info files if there aren't any; the
	unexpanded globbing pattern disappoints `install'.  Ignore the
	return status of that command.

	* INSTALL: Updated for new configuration arrangement.

	* configure: Don't make the top-level Makefile read-only - people
	may want to edit the values of the path variables.

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Install the info files in ${infodir}.  Install the executable
	under both `emacs' and `emacs-VERSION'.

	* Makefile.in: Doc fix.

	* Makefile.in (exec_prefix): New variable, as per latest version
	of coding standards.
	(bindir, libdir): Use it, instead of `prefix'.
	(lib-src/Makefile): Edit value of exec_prefix into lib-src/Makefile.

	* Makefile.in (mandir): Make the default value for this depend on
	$(prefix).

	* Makefile.in (datadir, statedir, libdir): Make these all default
	to ${prefix}/lib.
	(lispdir, locallisppath, etcdir, lockdir, archlibdir): Adjusted
	to compensate.

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Install the etags and ctags man pages too.

	* Makefile.in (distclean): Don't delete backup files; that's the
	job of extraclean.
	(extraclean): Like distclean, but deletes backup and autosave files.

Thu Dec 10 21:10:40 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	Make path specification conform to GNU coding standards.
	* configure (long_usage): Remove all traces of old arguments from
	usage messages, and document the options we do accept in more
	detail: -with-x... and --srcdir.
	(options, boolean_opts): Deleted; we don't have enough options to
	make this worthwhile.
	(prefix, bindir, lisppath, datadir, libdir, lockdir): Deleted,
	along with the code which supported them; these should be set as
	arguments to the top-level make.
	(config_h_opts): Since this no longer doubles as a list of option
	names, make them upper case; this simplifies the code which uses
	them to build the sed command to edit src/config.h.  Change the
	code which sets them.
	(cc, g, O): Don't allow the user to set these using options; they
	should be specified using `CC=' and `CFLAGS=' arguments to the
	top-level make.  Just choose reasonable default values for them,
	and edit them into Makefile.in's default CC and CONFIG_CFLAGS
	values.
	(gnu_malloc, rel_alloc): Don't allow the user to set these using
	options; use them whenever the configuration files say they're
	possible.
	Simplify the argument processing loop.  Don't accept abbreviations
	for option names; these might conflict with other configuration
	options in the future.
	Add some support for the `--srcdir' option.  Check for the sources
	in . and .. if `--srcdir' is omitted.  If the directories we will
	compile in don't exist yet, create them under the current directory.
	Note that the rest of the build process doesn't really support
	this.
	Edit only the top Makefile.  That should edit the others.  Edit
	into the makefile: `version', from lisp/version.el, `configname'
	and `srcdir' from the configuration arguments, `CC' and
	`CONFIG_CFLAGS' as guessed from the presence or absence of GCC in
	the user's path, and LOADLIBES as gleaned from the system
	description files.
	Simplify the report generated; it doesn't need to include any
	description of paths now.
	Make `config.status' exec configure instead of just calling it, so
	there's no harm in overwriting `config.status'.
	* Makefile.in (version, configname): New variables, used to choose
	the default values for datadir and libdir.
	Path variables rearranged into two clearer groups:
	- In the first group are the variables specified by the GNU coding
	  standards (prefix, bindir, datadir, statedir, libdir, mandir,
	  manext, infodir, and srcdir).
	- In the second are the variables actually used for Emacs's paths
	  (lispdir, locallisppath, lisppath, buildlisppath, etcdir, lockdir,
	  archlibdir), which depend on the first category.
	datadir and libdir default to directories under
	${prefix}/lib/emacs instead of ${prefix}/emacs, by popular
	demand.
	etcdir and lispdir default to subdirectories of datadir.
	archlibdir defaults to libdir.
	The new installation tree is a bit deeper than it used to be, so
	use the new make-path program in lib-src to build them all.
	Always build a new src/paths.h.tmp and then move-if-change it to
	src/paths.h, to avoid unnecessary rebuilds while responding to the
	right changes.
	Remove all mention of arch-lib.  Run utility commands from
	lib-src, and let the executables be copied into archlibdir when
	Emacs is installed.
	Add targets for src/Makefile, lib-src/Makefile, and
	oldXMenu/Makefile, editing the values of the path variables into
	them.
	Let lib-src do its own installation.
	(datadir): Default to putting data files under
	${prefix}/lib/emacs/${version}, not /usr/local/emacs.
	(emacsdir): Variable deleted; it would only be confusing to use.
	(lispdir, etcdir): Default to ${datadir}/lisp.
	(mkdir): Use make-path for this.
	(lockdir): Do this in mkdir.
	(Makefile): New target.

	* configure (usage_message): Rename to long_usage.

	* make-dist: Don't bother creating an arch-lib directory; that's
	only for installation now.

Fri Nov 20 06:15:14 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Use GCC-style configuration names, using config.sub.
	Change the usage and help messages.

	* configure: Initialize window_system, not indow_system.

	* configure: Report which window system, compiler, and signal
	handler return type we decide to use.

	* make-dist: Explain what's going on if config.sub and gmalloc.c
	can't be linked.  Place the code which copies them near the code
	which links the rest of the files around them.

Sun Nov 15 20:59:55 1992  Jim Blandy  (jimb@apple-gunkies.gnu.ai.mit.edu)

	* make-dist: Don't bother to distribute src/*.com, or
	src/vmsbuild; those have all been moved to `../vms'.

Sat Nov  7 15:11:39 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Don't forget that the way to avoid filenames starting
	with `=' is to use the pattern `[a-zA-Z0-9]*.h', not
	`[a-zA-Z0-9].h'.  Add a new section for dealing with files that we
	couldn't make hard links to, since we have two already, and
	perhaps more to come.

Wed Nov  4 15:09:07 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: When editing parameters into lib-src/Makefile, change
	the definition of CONFIG_CFLAGS instead of CFLAGS itself; CFLAGS
	needs some other flags too.

Tue Nov  3 05:42:55 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Remove spurious echo of the configuration name.

	* make-dist: Don't distribute files in src/m and src/s whose names
	begin with `='.

Tue Oct 27 04:06:30 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure: Update GNU_MALLOC and REL_ALLOC in config.h.
	Also LISP_FLOAT_TYPE.

Mon Oct 26 19:55:01 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Copy config.sub, since it's a symbolic link to a file
	on another file system.

Sat Oct 17 17:04:24 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Include lib-src/makedoc.com and emacs.csh in the
	distribution.

	* config.sub: New file, to help us recognize configuration names.
	* make-dist: Include it in the distribution.

Mon Sep 14 17:43:50 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure: Convert `-' to `_' in specified option names.
	Accept options with --.  Delete --highpri and --have-x-menu options.
	New options --with-x and --with-x10 replace -window-system.
	Don't mention options --gnu-malloc, --rel-alloc
	or --lisp-float-type in help message.

Sun Sep 13 06:30:52 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

        * make-dist: Include the `vms' subdirectory in the distribution.

Thu Sep 10 16:14:21 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Remove lines starting with "# DIST: " when building
	lib-src/Makefile and src/Makefile.  This allows us to mark the
	"Makefile.in" files with explanatory comments which won't also get
	stuck in the Makefiles.

Sat Sep  5 07:10:43 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: Don't use the '+' operator in the sed regular
	expression that extracts the version number from lisp/version.el;
	Ultrix sed doesn't seem support the operator.  Just double the
	operand and use *.

Tue Sep  1 15:56:14 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Makefile.in: Doc fix.

Mon Aug 31 00:25:44 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Rewrite sed command to remove at most one ./ prefix;
	Ultrix's sed doesn't allow us to apply the * operator to a \( \)
	group.

Tue Aug 25 18:57:41 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (src/paths.h): Use sed, not /bin/sed.

Tue Aug 18 16:02:22 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: Go ahead and build a new TAGS file, unless the
	--newer option was specified.  Don't try to delete a TAGS file
	from etc; it's not kept there, and shouldn't be deleted anyway.

Fri Aug 14 12:54:25 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: If the lisp directory contains a default.el, don't
	distribute it.

	* configure: When searching signal.h for the type of a signal
	return handler, make a copy of it, not a symbolic link to it; that
	way, it will work on systems that don't have symbolic links.

Fri Aug 14 12:31:45 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* make-dist: taught it about vcdiff and rcs2log, added --newer
	option for generating incremental distributions.  Stopped it from
	generating a TAGS file into the distribution; that sucker is
	*big*, and easily enough generated with the toplevel makefile.

Thu Aug 13 13:02:31 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: When writing config.status, don't prefix progname
	with a '.'; it might be absolute.

Wed Aug  5 13:54:39 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Choose to use X11 if either /usr/lib/libX11.a or
	/usr/include/X11 exist, not only if both exist.

Mon Jul 27 17:41:50 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Make the new external-lisp directory a duplicate of
	the external-lisp directory, not the lisp directory.

Tue Jul  7 14:47:31 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in (clean, mostlyclean): Don't bother trying to `make
	clean' in arch-lib; it doesn't even have a Makefile.

	* Makefile.in (clean, mostlyclean): In the test which tries to
	distinguish between the build directory, which should be cleaned,
	and the installed directory, which shouldn't, cd to `${emacsdir}',
	not `${DESTDIR}${LIBDIR}'.

Tue Jun 30 05:05:29 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: Be sure to delete the .c and .h files that YACC and
	BISON create from getdate.y.

        * external-lisp: New directory; see `external-lisp/README'.
	* make-dist: Added support for the external-lisp subdirectory.

	* make-dist: Changed message which complains that make-dist wasn't
	invoked in the right directory to indicate which files it was
	looking for.

Mon Jun 29 16:24:41 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Add comments explaining why we can't translate
	character ranges or control characters in `tr'.

Wed Jun 24 00:18:54 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: When generating the configuration message, we used to
	build the message from the start so that each line began with "# "
	so that it would be a comment in `config.status'.  However, this
	causes trouble if any of the variables we use in the message
	expand to more than one line of text - as gnu_malloc_reason
	sometimes does.  So instead, we build the message as it should be
	printed to the user (i.e. without the "# " prefixes), and stick on
	the "# "s when we write it to `config.status'.

	* Makefile.in (clean, mostlyclean): Don't neglect to clean out
	`lib-src' and `arch-lib'.

	* configure: When generating report and `config.status' file, note
	that bindir only determines where `make install' and
	`build-install' will place the executables; this should make it
	clear that the ordinary build process will not try to install
	things.

Wed Jun 10 19:20:27 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Change messages to say that we are 'making links to
	X', rather than 'copying X'.  And put `' quotes around file names.

	* make-dist: Include '.tmp' in the name of the staging directory.

	* make-dist: Pass the `-f' option to rm when you're not sure that
	the files you're removing actually exist.

	* make-dist: When setting up etc/COPYING, always nuke whatever is
	there, and then copy it in, to make sure we get a real file.

	* make-dist: Don't try to distribute *.defns files any more.  The
	only such file was for simula.el, which has been superceded by a
	version which doesn't have a separate .defns file.

Thu May 28 09:51:46 1992  Ken Raeburn  (Raeburn@Cygnus.COM)

	* make-dist: Don't distribute configured versions of config.h.in,
	paths.h.in, Makefile.in in src.

	* configure: Delete .tmp files before creating them; don't bother
	trying to make final targets writeable first, since it won't
	matter to move-if-change.

Tue May 19 18:33:04 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Makefile.in (mkdir, lockdir): Don't put dashes in front of the
	mkdir and chmod in the center of all the conditionals.  GNU Make
	will strip these out, but other makes won't.

Mon May 18 03:14:40 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: Include move-if-change in list of files to distribute.

Mon May  4 20:46:16 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Remove any "." elements from the program name.

	* configure: Don't record the values of all the possible arguments
	in config.status; only record the options that the user specified.

	* configure: Use move-if-change to move in the new src/config.h.

Wed Apr 29 23:13:25 1992  Ken Raeburn  (Raeburn@Cygnus.COM)

        * move-if-change: New file, copied from gcc release.
        * Makefile.in (src/paths.h): Use it, and put the "sed" output into
        a temp file, so we don't update paths.h if an error occurs or if
        it doesn't need changing.

Tue Apr 28 17:00:07 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Makefile.in (src/paths.h): Do not install a value for the
	PATH_SUPERLOCK value; that macro doesn't exist anymore.
	* build-install.in: Same thing.

Fri Apr 24 02:10:56 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: Check the flag called "make_tar", not "make_dir"; the
	latter, being a typo, is always false, resulting in a program
	whose default behaviour is to painstakingly build a copy of the
	source tree, and then delete it.  Rah.

	* Makefile.in: Add dist target, and comment for it.

	* configure: When scanning <signal.h> for a declaration for
	signal, create a symbolic link with a name ending in .c, so the
	compiler won't complain that it's only been given .h files.

	* configure: Check whether there are any arguments available
	before shifting to get the value of a non-boolean parameter.

	* make-dist: Doc fix.

Mon Apr 20 09:54:48 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Instead of grepping /usr/include/signal.h for a
	signal declaration, run /usr/include/signal.h or
	/usr/include/sys/signal.h through cpp and grep for the
	declaration.

	* configure: Redirect the output of grep to /dev/null instead of
	using grep -s - that flag means different things on other systems.

	* Makefile.in: Use 'buildlisppath' instead of 'dumplisppath',
	since the former is recognizable even if you don't know what
	'dumping' is.
	* configure: Accomodate that change.

	* configure: Accept options for all of the directories you can
	change in the Makefile.

	* configure: Accept "-OPTION VALUE" as well as "-OPTION=VALUE".

	* INSTALL: Mention that you have to copy all the 'FOO.in' files to
	FOO before you can use them.

	* build-install.in: Made the "Where To Install Things" section
	conform with the similar section from Makefile.in.  Copied section
	which builds src/paths.h from src/paths.h.in from the Makefile.

Sun Apr 19 05:29:03 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Write config.status to pass its command-line
	arguments on to configure, so that people can use it to recreate
	an old configuration, with minor changes.

Thu Apr 16 22:49:13 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Don't rely on option variables being unset if their
	values are the empty string.  In particular, when producing the
	English report, don't assume that highpri will be unset when no
	increased priority has been requested; -highpri='' should be the
	same as omitting -highpri altogether.

	* configure: Fix dumb bug: when running the system and machine
	description files through cpp, mark those lines that we want to
	evaluate with the string '@configure@', and then only evaluate
	them.  This way if the files include anything that actually
	generates text (type definitions or external declarations, say),
	we won't try to eval it.

Sat Apr 11 16:00:52 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* make-dist: New shell script.

	* configure: When creating foo from foo.in, make foo read-only to
	remind people to edit the .in file instead.

	* INSTALL: Changed references to config.h-dist to config.h.in.
	The "BUILDING GNU EMACS BY HAND" section neglected to mention how
	to build src/paths.h from src/paths.h.in; added a paragraph to do
	this.
	* configure, Makefile, build-install: Changed filenames like
	FOO-dist to FOO.in.

Wed Apr  8 00:58:46 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Makefile, build-install: Renamed to Makefile.in and
	build-install.in; the configure script will edit these to produce
	the usable Makefile and build-install.
	* configure: Changed to produce ./Makefile, ./build-install,
	lib-src/Makefile, and src/Makefile from their *.in counterparts,
	instead of editing them in place.

Tue Apr  7 16:44:54 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Makefile: Re-arranged so that the undumped Emacs will search
	../lisp *after* the site's local elisp files.
	(locallisppath, dumplisppath): New variables.
	(lisppath): This variable's default value is now chosen based on
	$(locallisppath) and $(lispdir); while it used to be the
	customization point for adding site-local elisp directories to
	load-path, that job is now handled mostly by locallisppath.
	(src/paths.h): Edit the value of a new macro, PATH_DUMPLOADSEARCH.
	Check the values being assigned to the *LOADSEARCH macros for null
	path elements (like '::' in 'foo::bar').

	* configure: When checking if the machine- and system-dependent
	files define a particular macro or not, actually run them through
	CPP and test the macros with #ifs, instead of just grepping for
	the macros' names.  In particular, check for SYSTEM_MALLOC in this
	way.

Fri Apr  3 22:25:50 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile (install): Don't use -s in install.  (Keep the symbols.)

Thu Apr  2 01:54:22 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* configure: Make the config.status file an executable shell
	script which will recreate the same configuration.  Include the
	verbal description of the current configuration as a comment in
	the script.
	* INSTALL: Doc fix.

	* Makefile: brought the Makefile up to the GNU coding
	standards, as described in standards.text:
	(TAGS): New name for the target which rebuilds the tags table.
	(check): New target; doesn't do anything yet.
	(mostlyclean): New target, synonymous with clean.
	(realclean): New target.  Currently, this just calls the
	subdirectories's makefiles and then deletes config.status.
	(INSTALL, INSTALLFLAGS, INSTALL_PROGRAM, INSTALL_DATA): New
	variables.
	Installation directory variables changed to conform.
	(install, install.sysv, install.xenix, install.aix): Changed the
	code which copies the directories into their installed location to
	allow the installed locations to be in several different
	directories; the old version assumed that they would all be in
	$(emacsdir).
	(mkdir, lockdir): Allow the installed locations to be in several
	different directories.
	* INSTALL: Doc fix.

	* build-install: Use the same variable names as the Makefile.
	Allow the installed locations to be in several different
	directories.

Tue Mar 31 10:25:57 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Makefile (src/paths.h): Instead of using a single sed command to
	edit both the PATH_LOCK and PATH_SUPERLOCK macros, edit the two
	separately, and don't forget to append "/!!!SuperLock!!!" to the
	value of the PATH_SUPERLOCK macro.

	* config.emacs: Renamed to configure, for consistency with other
	GNU products.  Internal references changed.
	INSTALL, Makefile: References changed.

	* lock: New directory, which should always be empty.  If this
	directory doesn't exist, Emacs won't complain; it just won't lock.
	Having this here means that people can just unpack Emacs, build
	it, and have locking work.

	* share-lib: Re-renamed to etc, for the sake of tradition.
	* config.emacs: Changed default value for datadir to ../etc.
	* INSTALL, README: Adjusted.

Wed Mar 18 15:54:58 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* config.emacs: Guess the value for LOADLIBES in lib-src/Makefile
	by running CPP on the appropriate s/*.h and m/*.h files.

Mon Mar 16 17:38:50 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* config.emacs: Make sure to set the "exit on error" flag once
	we've removed config.status; errors should abort the configuration.

Sat Feb 15 17:23:07 1992  Jim Blandy  (jimb at pogo.cs.oberlin.edu)

	* config.emacs: Added -distribute option, so that the Makefile
	paths are in their proper form.  I don't know why this matters.

Fri Feb 14 13:58:57 1992  Jim Blandy  (jimb at pogo.cs.oberlin.edu)

	* local-lisp: New directory, empty in the distribution, for people
	to put local elisp code in.
	* config.emacs: Include it in the default load path.
	* README: Document it.

Thu Jan 30 10:26:45 1992  Jim Blandy  (jimb at pogo.cs.oberlin.edu)

	* config.emacs: Guess the type of signal handling functions based
	on the contents of /usr/include/signal.h.

	* config.emacs: Print out progress report messages.

	* Makefile (src/paths.h): Don't generically replace
	/usr/local/lib/emacs with LIBROOT.  This can hide bugs in the
	editing of the other entries, and each entry should be dealt with
	explicitly anyway.

	* build-install: Converted from C-shell to Bourne shell.
	* config.emacs: Edit build-install properly.

	* config.emacs: Doc fix.

Mon Jan 27 16:29:53 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

        * Makefile (install): Remove `B' from tar xf command.

Mon Jan 13 12:00:14 1992  Jim Blandy  (jimb at pogo.cs.oberlin.edu)

	* config.emacs: Removed support for the `maintain-environment'
	option; the only important difference between this and its absence
	has been removed.
	* INSTALL: Removed mention of `maintain-environment'.

	* config.emacs: Fix arguments to sed when processing boolean
	arguments.

Thu Dec  5 14:39:44 1991  Jim Blandy  (jimb at pogo.gnu.ai.mit.edu)

	* config.emacs: New file, to help automate the installation
        process.

	* Makefile: Lots of changes to support the separation of etc into
	architecture-dependent and -independent files:
	(EMACSROOT): New variable, giving the directory under which all of
	Emacs's libraries should be installed.  Changed rest of file to
	use it.
	(LIBDIR): Now denotes only architecture-dependent dir - relevant cha
	(DATADIR): New variable, denoting architecture-independent dir.
	(LOCKDIR): New variable, for completeness.
	(SUBDIR): No more etc, new lib-src.
	(COPYDIR): No more etc, new arch-lib and share-lib.
	(src/paths.h): Set PATH_DATA and the LOCK macros too.
	(src): Now depends on lib-src, not etc.
	* build-install: Changes parallel to the above.
	* README: Describe the new arrangement.

	* vms: New subdirectory for all the VMS stuff.

Tue Dec  3 22:06:59 1991  Jim Blandy  (jimb at pogo.gnu.ai.mit.edu)

	* Makefile (LISPPATH): New variable.
	(src/paths.h): Define PATH_LOADSEARCH according to LISPPATH.

Fri Sep 28 22:36:32 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* Makefile (install, install.sysv, install.xenix):
	Install wakeup instead of loadst.  No need for setuid or setgid.

Tue Aug  7 13:19:35 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* Makefile (clean): Clean etc if that's not the installation dir.

Thu Apr 26 13:36:18 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* Makefile (paths.h): Make sed alter each name in the path.

Tue Aug 30 13:43:43 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* Makefile (install.sysv): Use cpio, not tar.

Wed Aug  3 19:20:13 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* Makefile (lockdir): Rename `lock' target.
	Depend on it from install*, not from `all'.

Mon May 16 02:08:08 1988  Richard Stallman  (rms at frosted-flakes.ai.mit.edu)

	* Makefile: Changed LIBDIR and BINDIR back to /usr/local/{emacs,bin}
	to match build-install and paths.h.
